(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    144846,       4402]*)
(*NotebookOutlinePosition[    151987,       4637]*)
(*  CellTagsIndexPosition[    151033,       4598]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (conv of sum): c+)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (conv of sum): c+"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1] \[And] conv[f\_2] \[Implies] 
        conv[f\_1\[CirclePlus]f\_2]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (conv of sum): c+"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (conv): c:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (conv): c:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"conv", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}], "\[Implies]", 
                    RowBox[{
                      UnderscriptBox["\[Exists]", 
                        RowBox[{
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "\[GreaterEqual]", 
                              StyleBox["N",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[Implies]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  RowBox[{
                                    StyleBox["f",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "[", 
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "]"}], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}]}], 
                  ")"}]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (conv): c:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (sum of functions): \[CirclePlus]:"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (conv of sum): c+",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (conv of sum): c+"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_2]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1\[CirclePlus]f\_2]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  "Using the definition ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (conv): c:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (conv): c:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we expand the goal ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_1\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_2\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(a\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(a\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_2\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find appropriate values ",
  Cell[BoxData[
      \(a\_0\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], 
                          "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}],
                       "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"9"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(\[Epsilon]\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                  "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[TextData[{
  "For using ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to find appropriate values ",
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      \(\[Epsilon]\_2\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", and we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_1\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_2\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_2\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[CellGroupData[{

Cell[TextData[{
  "First we assume ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " (to be proven later):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(N\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(N\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"19"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find appropriate values ",
  Cell[BoxData[
      \(N\_0\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"20"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(n\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"21"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
          "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"22"],

Cell[TextData[{
  "For using ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to find appropriate values ",
  Cell[BoxData[
      \(n\_1\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      \(n\_2\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", and we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(23)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "23"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_1\%\("*"\)\)}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(24)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "24"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_2\%\("*"\)\)}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[CellGroupData[{

Cell[TextData[{
  "First we assume ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " (to be proven later):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"25"],

Cell[TextData[{
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(26)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "26"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
            StyleBox[\(a\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_1\%\("*"\)\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(27)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "27"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
            StyleBox[\(a\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_2\%\("*"\)\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"27"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["26, 27",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "26, 27"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove the following, but this fails:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(28)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "28"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"28"],

Cell[TextData[{
  "Using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (sum of functions): \[CirclePlus]:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (sum of functions): \[CirclePlus]:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["28",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "28"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is transformed into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(30)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "30"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], 
              "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"30"],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["30",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "30"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "fails.",
  " (The prover \"ByDef\" was unable to transform the proof situation.)"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"25"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(29)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "29"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"29"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], 
        "\[Implies]", \(\[Epsilon]\_1\%\("*"\) > 
            0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"17"],

Cell[TextData[Cell[TextData[{
  "Pending proof of ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{
  "Color"->RGBColor[0.705882, 0.054902, 0.611765]}]], "Text",
  Background->GrayLevel[0.659998]]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["Prove",
          FontWeight->"Bold"], "[", \(Proposition["\<conv of sum\>"], 
        using \[Rule] {Definition["\<conv\>"], 
            Definition["\<sum of functions\>"]}\), "]"}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2006/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.57 ",
  ", ",
  "Date: 2003/08/21 08:55:15 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/06/18 13:01:15 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/01/25 15:47:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/10/20 09:32:04 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2003/09/05 13:26:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.37 ",
  ", ",
  "Date: 2004/01/26 11:45:07 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2003/06/18 15:35:43 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2003/06/18 15:30:14 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/06/01 00:03:05 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:14 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2004/01/26 11:46:09 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`ProverByDef`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/10/20 09:30:52 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1\[CirclePlus]f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                  "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_1\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_2\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_2\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], 
        "\[Implies]", \(\[Epsilon]\_1\%\("*"\) > 
            0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
          "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(23)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "23"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_1\%\("*"\)\)}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(24)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "24"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_2\%\("*"\)\)}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(26)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "26"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
            StyleBox[\(a\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_1\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(27)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "27"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
            StyleBox[\(a\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_2\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(28)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "28"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(29)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "29"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(30)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "30"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], 
              "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_1\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_2\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_2\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], 
                          "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}],
                       "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (conv): c:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (conv): c:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"conv", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}], "\[Implies]", 
                    RowBox[{
                      UnderscriptBox["\[Exists]", 
                        RowBox[{
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "\[GreaterEqual]", 
                              StyleBox["N",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[Implies]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  RowBox[{
                                    StyleBox["f",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "[", 
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "]"}], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}]}], 
                  ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (conv): c:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (conv of sum): c+)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (conv of sum): c+"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1] \[And] conv[f\_2] \[Implies] 
        conv[f\_1\[CirclePlus]f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (conv of sum): c+"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (conv of sum): c+"->{
    Cell[1872, 56, 669, 17, 47, "Conclusion",
      CellTags->"Proposition (conv of sum): c+"],
    Cell[144092, 4379, 726, 19, 70, "Text",
      CellTags->"Proposition (conv of sum): c+"]},
  "Definition (conv): c:"->{
    Cell[2678, 80, 4377, 102, 56, "Assumption",
      CellTags->"Definition (conv): c:"],
    Cell[137186, 4202, 4434, 104, 70, "Text",
      CellTags->"Definition (conv): c:"]},
  "Definition (sum of functions): \[CirclePlus]:"->{
    Cell[7058, 184, 2409, 67, 57, "Assumption",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"],
    Cell[141623, 4308, 2466, 69, 70, "Text",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"]},
  "2"->{
    Cell[9923, 268, 526, 15, 47, "Assumption",
      CellTags->"2"],
    Cell[105040, 3313, 569, 17, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[10452, 285, 526, 15, 47, "Assumption",
      CellTags->"3"],
    Cell[116829, 3662, 569, 17, 70, "Text",
      CellTags->"3"]},
  "1"->{
    Cell[11091, 305, 543, 15, 47, "Conclusion",
      CellTags->"1"],
    Cell[88776, 2845, 586, 17, 70, "Text",
      CellTags->"1"]},
  "4"->{
    Cell[12862, 364, 3101, 78, 56, "Conclusion",
      CellTags->"4"],
    Cell[119494, 3737, 3144, 80, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[15966, 444, 3082, 78, 56, "Assumption",
      CellTags->"5"],
    Cell[122641, 3819, 3125, 80, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[19051, 524, 3082, 78, 56, "Assumption",
      CellTags->"6"],
    Cell[125769, 3901, 3125, 80, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[23366, 646, 2764, 71, 56, "Assumption",
      CellTags->"7"],
    Cell[128897, 3983, 2802, 72, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[26133, 719, 2764, 71, 56, "Assumption",
      CellTags->"8"],
    Cell[131702, 4057, 2802, 72, 70, "Text",
      CellTags->"8"]},
  "9"->{
    Cell[29495, 811, 2638, 68, 56, "Conclusion",
      CellTags->"9"],
    Cell[134507, 4131, 2676, 69, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[32868, 905, 661, 19, 47, "Assumption",
      CellTags->"10"],
    Cell[89365, 2864, 704, 21, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[33642, 929, 1924, 52, 55, "Conclusion",
      CellTags->"11"],
    Cell[90072, 2887, 1967, 54, 70, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[36635, 1017, 2063, 54, 55, "Assumption",
      CellTags->"12"],
    Cell[92042, 2943, 2101, 55, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[38701, 1073, 2063, 54, 55, "Assumption",
      CellTags->"13"],
    Cell[94146, 3000, 2101, 55, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[41190, 1145, 584, 16, 47, "Assumption",
      CellTags->"14"],
    Cell[73259, 2126, 584, 16, 47, "Conclusion",
      CellTags->"14"],
    Cell[96250, 3057, 627, 18, 70, "Text",
      CellTags->"14"]},
  "15"->{
    Cell[43087, 1210, 1924, 53, 55, "Assumption",
      CellTags->"15"],
    Cell[96880, 3077, 1962, 54, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[45014, 1265, 1924, 53, 55, "Assumption",
      CellTags->"16"],
    Cell[98845, 3133, 1962, 54, 70, "Text",
      CellTags->"16"]},
  "18"->{
    Cell[48175, 1362, 1651, 45, 55, "Assumption",
      CellTags->"18"],
    Cell[101646, 3215, 1694, 47, 70, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[49829, 1409, 1651, 45, 55, "Assumption",
      CellTags->"19"],
    Cell[103343, 3264, 1694, 47, 70, "Text",
      CellTags->"19"]},
  "20"->{
    Cell[52080, 1475, 1545, 42, 55, "Conclusion",
      CellTags->"20"],
    Cell[105612, 3332, 1588, 44, 70, "Text",
      CellTags->"20"]},
  "21"->{
    Cell[54353, 1543, 685, 20, 47, "Assumption",
      CellTags->"21"],
    Cell[107203, 3378, 723, 21, 70, "Text",
      CellTags->"21"]},
  "22"->{
    Cell[55151, 1568, 985, 27, 47, "Conclusion",
      CellTags->"22"],
    Cell[107929, 3401, 1028, 29, 70, "Text",
      CellTags->"22"]},
  "23"->{
    Cell[57191, 1631, 1050, 28, 47, "Assumption",
      CellTags->"23"],
    Cell[108960, 3432, 1093, 30, 70, "Text",
      CellTags->"23"]},
  "24"->{
    Cell[58244, 1661, 1050, 28, 47, "Assumption",
      CellTags->"24"],
    Cell[110056, 3464, 1093, 30, 70, "Text",
      CellTags->"24"]},
  "25"->{
    Cell[59720, 1707, 901, 25, 47, "Assumption",
      CellTags->"25"],
    Cell[69687, 2008, 901, 25, 47, "Conclusion",
      CellTags->"25"],
    Cell[111152, 3496, 944, 27, 70, "Text",
      CellTags->"25"]},
  "26"->{
    Cell[61934, 1781, 819, 22, 47, "Assumption",
      CellTags->"26"],
    Cell[112099, 3525, 862, 24, 70, "Text",
      CellTags->"26"]},
  "27"->{
    Cell[62756, 1805, 819, 22, 47, "Assumption",
      CellTags->"27"],
    Cell[112964, 3551, 862, 24, 70, "Text",
      CellTags->"27"]},
  "28"->{
    Cell[64269, 1852, 1761, 45, 47, "Conclusion",
      CellTags->"28"],
    Cell[113829, 3577, 1804, 47, 70, "Text",
      CellTags->"28"]},
  "30"->{
    Cell[66770, 1922, 2047, 52, 47, "Conclusion",
      CellTags->"30"],
    Cell[117401, 3681, 2090, 54, 70, "Text",
      CellTags->"30"]},
  "29"->{
    Cell[71243, 2058, 1147, 32, 47, "Conclusion",
      CellTags->"29"],
    Cell[115636, 3626, 1190, 34, 70, "Text",
      CellTags->"29"]},
  "17"->{
    Cell[74498, 2167, 790, 22, 47, "Conclusion",
      CellTags->"17"],
    Cell[100810, 3189, 833, 24, 70, "Text",
      CellTags->"17"]},
  "AdditionalInfo"->{
    Cell[75965, 2216, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (conv of sum): c+", 145592, 4422},
  {"Definition (conv): c:", 145812, 4427},
  {"Definition (sum of functions): \[CirclePlus]:", 146044, 4432},
  {"2", 146279, 4437},
  {"3", 146424, 4442},
  {"1", 146570, 4447},
  {"4", 146715, 4452},
  {"5", 146863, 4457},
  {"6", 147011, 4462},
  {"7", 147159, 4467},
  {"8", 147307, 4472},
  {"9", 147455, 4477},
  {"10", 147604, 4482},
  {"11", 147752, 4487},
  {"12", 147902, 4492},
  {"13", 148053, 4497},
  {"14", 148204, 4502},
  {"15", 148425, 4509},
  {"16", 148576, 4514},
  {"18", 148727, 4519},
  {"19", 148879, 4524},
  {"20", 149031, 4529},
  {"21", 149183, 4534},
  {"22", 149333, 4539},
  {"23", 149484, 4544},
  {"24", 149636, 4549},
  {"25", 149788, 4554},
  {"26", 150010, 4561},
  {"27", 150160, 4566},
  {"28", 150310, 4571},
  {"30", 150462, 4576},
  {"29", 150614, 4581},
  {"17", 150766, 4586},
  {"AdditionalInfo", 150928, 4591}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 93, 1, 47, "ProofText"],
Cell[1872, 56, 669, 17, 47, "Conclusion",
  CellTags->"Proposition (conv of sum): c+"],

Cell[CellGroupData[{
Cell[2566, 77, 109, 1, 47, "ProofText"],
Cell[2678, 80, 4377, 102, 56, "Assumption",
  CellTags->"Definition (conv): c:"],
Cell[7058, 184, 2409, 67, 57, "Assumption",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"]
}, Open  ]],
Cell[9482, 254, 438, 12, 47, "ProofText"],
Cell[9923, 268, 526, 15, 47, "Assumption",
  CellTags->"2"],
Cell[10452, 285, 526, 15, 47, "Assumption",
  CellTags->"3"],
Cell[10981, 302, 107, 1, 47, "ProofText"],
Cell[11091, 305, 543, 15, 47, "Conclusion",
  CellTags->"1"],
Cell[11637, 322, 1222, 40, 47, "ProofText"],
Cell[12862, 364, 3101, 78, 56, "Conclusion",
  CellTags->"4"],
Cell[15966, 444, 3082, 78, 56, "Assumption",
  CellTags->"5"],
Cell[19051, 524, 3082, 78, 56, "Assumption",
  CellTags->"6"],
Cell[22136, 604, 1227, 40, 47, "ProofText"],
Cell[23366, 646, 2764, 71, 56, "Assumption",
  CellTags->"7"],
Cell[26133, 719, 2764, 71, 56, "Assumption",
  CellTags->"8"],
Cell[28900, 792, 592, 17, 47, "ProofText"],
Cell[29495, 811, 2638, 68, 56, "Conclusion",
  CellTags->"9"],
Cell[32136, 881, 729, 22, 47, "ProofText"],
Cell[32868, 905, 661, 19, 47, "Assumption",
  CellTags->"10"],
Cell[33532, 926, 107, 1, 47, "ProofText"],
Cell[33642, 929, 1924, 52, 55, "Conclusion",
  CellTags->"11"],
Cell[35569, 983, 1063, 32, 47, "ProofText"],
Cell[36635, 1017, 2063, 54, 55, "Assumption",
  CellTags->"12"],
Cell[38701, 1073, 2063, 54, 55, "Assumption",
  CellTags->"13"],

Cell[CellGroupData[{
Cell[40789, 1131, 398, 12, 47, "ProofText"],
Cell[41190, 1145, 584, 16, 47, "Assumption",
  CellTags->"14"],
Cell[41777, 1163, 396, 12, 47, "ProofText"],
Cell[42176, 1177, 908, 31, 47, "ProofText"],
Cell[43087, 1210, 1924, 53, 55, "Assumption",
  CellTags->"15"],
Cell[45014, 1265, 1924, 53, 55, "Assumption",
  CellTags->"16"],
Cell[46941, 1320, 1231, 40, 47, "ProofText"],
Cell[48175, 1362, 1651, 45, 55, "Assumption",
  CellTags->"18"],
Cell[49829, 1409, 1651, 45, 55, "Assumption",
  CellTags->"19"],
Cell[51483, 1456, 594, 17, 47, "ProofText"],
Cell[52080, 1475, 1545, 42, 55, "Conclusion",
  CellTags->"20"],
Cell[53628, 1519, 722, 22, 47, "ProofText"],
Cell[54353, 1543, 685, 20, 47, "Assumption",
  CellTags->"21"],
Cell[55041, 1565, 107, 1, 47, "ProofText"],
Cell[55151, 1568, 985, 27, 47, "Conclusion",
  CellTags->"22"],
Cell[56139, 1597, 1049, 32, 47, "ProofText"],
Cell[57191, 1631, 1050, 28, 47, "Assumption",
  CellTags->"23"],
Cell[58244, 1661, 1050, 28, 47, "Assumption",
  CellTags->"24"],

Cell[CellGroupData[{
Cell[59319, 1693, 398, 12, 47, "ProofText"],
Cell[59720, 1707, 901, 25, 47, "Assumption",
  CellTags->"25"],
Cell[60624, 1734, 396, 12, 47, "ProofText"],
Cell[61023, 1748, 908, 31, 47, "ProofText"],
Cell[61934, 1781, 819, 22, 47, "Assumption",
  CellTags->"26"],
Cell[62756, 1805, 819, 22, 47, "Assumption",
  CellTags->"27"],
Cell[63578, 1829, 688, 21, 47, "ProofText"],
Cell[64269, 1852, 1761, 45, 47, "Conclusion",
  CellTags->"28"],
Cell[66033, 1899, 734, 21, 47, "ProofText"],
Cell[66770, 1922, 2047, 52, 47, "Conclusion",
  CellTags->"30"],
Cell[68820, 1976, 453, 13, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[69310, 1994, 374, 12, 47, "ProofText"],
Cell[69687, 2008, 901, 25, 47, "Conclusion",
  CellTags->"25"],
Cell[70591, 2035, 649, 21, 47, "ProofText"],
Cell[71243, 2058, 1147, 32, 47, "Conclusion",
  CellTags->"29"],
Cell[72393, 2092, 440, 14, 71, "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[72882, 2112, 374, 12, 47, "ProofText"],
Cell[73259, 2126, 584, 16, 47, "Conclusion",
  CellTags->"14"],
Cell[73846, 2144, 649, 21, 47, "ProofText"],
Cell[74498, 2167, 790, 22, 47, "Conclusion",
  CellTags->"17"],
Cell[75291, 2191, 440, 14, 71, "Text"]
}, Open  ]],
Cell[75746, 2208, 182, 3, 36, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[75965, 2216, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[76078, 2221, 36, 0, 70, "Subsection"],
Cell[76117, 2223, 261, 6, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[76415, 2234, 34, 0, 70, "Subsection"],
Cell[76452, 2236, 120, 7, 70, "Text"],
Cell[76575, 2245, 98, 4, 70, "Text"],
Cell[76676, 2251, 99, 4, 70, "Text"],
Cell[76778, 2257, 195, 9, 70, "Text"],
Cell[76976, 2268, 231, 9, 70, "Text"],
Cell[77210, 2279, 230, 9, 70, "Text"],
Cell[77443, 2290, 216, 9, 70, "Text"],
Cell[77662, 2301, 216, 9, 70, "Text"],
Cell[77881, 2312, 216, 9, 70, "Text"],
Cell[78100, 2323, 230, 9, 70, "Text"],
Cell[78333, 2334, 227, 9, 70, "Text"],
Cell[78563, 2345, 227, 9, 70, "Text"],
Cell[78793, 2356, 228, 9, 70, "Text"],
Cell[79024, 2367, 224, 9, 70, "Text"],
Cell[79251, 2378, 224, 9, 70, "Text"],
Cell[79478, 2389, 217, 9, 70, "Text"],
Cell[79698, 2400, 218, 9, 70, "Text"],
Cell[79919, 2411, 225, 9, 70, "Text"],
Cell[80147, 2422, 222, 9, 70, "Text"],
Cell[80372, 2433, 221, 9, 70, "Text"],
Cell[80596, 2444, 221, 9, 70, "Text"],
Cell[80820, 2455, 219, 9, 70, "Text"],
Cell[81042, 2466, 223, 9, 70, "Text"],
Cell[81268, 2477, 218, 9, 70, "Text"],
Cell[81489, 2488, 220, 9, 70, "Text"],
Cell[81712, 2499, 225, 9, 70, "Text"],
Cell[81940, 2510, 219, 9, 70, "Text"],
Cell[82162, 2521, 227, 9, 70, "Text"],
Cell[82392, 2532, 221, 9, 70, "Text"],
Cell[82616, 2543, 219, 9, 70, "Text"],
Cell[82838, 2554, 229, 9, 70, "Text"],
Cell[83070, 2565, 230, 9, 70, "Text"],
Cell[83303, 2576, 228, 9, 70, "Text"],
Cell[83534, 2587, 226, 9, 70, "Text"],
Cell[83763, 2598, 219, 9, 70, "Text"],
Cell[83985, 2609, 222, 9, 70, "Text"],
Cell[84210, 2620, 223, 9, 70, "Text"],
Cell[84436, 2631, 223, 9, 70, "Text"],
Cell[84662, 2642, 234, 9, 70, "Text"],
Cell[84899, 2653, 233, 9, 70, "Text"],
Cell[85135, 2664, 217, 9, 70, "Text"],
Cell[85355, 2675, 225, 9, 70, "Text"],
Cell[85583, 2686, 216, 9, 70, "Text"],
Cell[85802, 2697, 223, 9, 70, "Text"],
Cell[86028, 2708, 219, 9, 70, "Text"],
Cell[86250, 2719, 231, 9, 70, "Text"],
Cell[86484, 2730, 236, 9, 70, "Text"],
Cell[86723, 2741, 230, 9, 70, "Text"],
Cell[86956, 2752, 228, 9, 70, "Text"],
Cell[87187, 2763, 232, 9, 70, "Text"],
Cell[87422, 2774, 226, 9, 70, "Text"],
Cell[87651, 2785, 230, 9, 70, "Text"],
Cell[87884, 2796, 210, 9, 70, "Text"],
Cell[88097, 2807, 211, 9, 70, "Text"],
Cell[88311, 2818, 184, 9, 70, "Text"],
Cell[88498, 2829, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[88717, 2843, 56, 0, 70, "Subsection"],
Cell[88776, 2845, 586, 17, 70, "Text",
  CellTags->"1"],
Cell[89365, 2864, 704, 21, 70, "Text",
  CellTags->"10"],
Cell[90072, 2887, 1967, 54, 70, "Text",
  CellTags->"11"],
Cell[92042, 2943, 2101, 55, 70, "Text",
  CellTags->"12"],
Cell[94146, 3000, 2101, 55, 70, "Text",
  CellTags->"13"],
Cell[96250, 3057, 627, 18, 70, "Text",
  CellTags->"14"],
Cell[96880, 3077, 1962, 54, 70, "Text",
  CellTags->"15"],
Cell[98845, 3133, 1962, 54, 70, "Text",
  CellTags->"16"],
Cell[100810, 3189, 833, 24, 70, "Text",
  CellTags->"17"],
Cell[101646, 3215, 1694, 47, 70, "Text",
  CellTags->"18"],
Cell[103343, 3264, 1694, 47, 70, "Text",
  CellTags->"19"],
Cell[105040, 3313, 569, 17, 70, "Text",
  CellTags->"2"],
Cell[105612, 3332, 1588, 44, 70, "Text",
  CellTags->"20"],
Cell[107203, 3378, 723, 21, 70, "Text",
  CellTags->"21"],
Cell[107929, 3401, 1028, 29, 70, "Text",
  CellTags->"22"],
Cell[108960, 3432, 1093, 30, 70, "Text",
  CellTags->"23"],
Cell[110056, 3464, 1093, 30, 70, "Text",
  CellTags->"24"],
Cell[111152, 3496, 944, 27, 70, "Text",
  CellTags->"25"],
Cell[112099, 3525, 862, 24, 70, "Text",
  CellTags->"26"],
Cell[112964, 3551, 862, 24, 70, "Text",
  CellTags->"27"],
Cell[113829, 3577, 1804, 47, 70, "Text",
  CellTags->"28"],
Cell[115636, 3626, 1190, 34, 70, "Text",
  CellTags->"29"],
Cell[116829, 3662, 569, 17, 70, "Text",
  CellTags->"3"],
Cell[117401, 3681, 2090, 54, 70, "Text",
  CellTags->"30"],
Cell[119494, 3737, 3144, 80, 70, "Text",
  CellTags->"4"],
Cell[122641, 3819, 3125, 80, 70, "Text",
  CellTags->"5"],
Cell[125769, 3901, 3125, 80, 70, "Text",
  CellTags->"6"],
Cell[128897, 3983, 2802, 72, 70, "Text",
  CellTags->"7"],
Cell[131702, 4057, 2802, 72, 70, "Text",
  CellTags->"8"],
Cell[134507, 4131, 2676, 69, 70, "Text",
  CellTags->"9"],
Cell[137186, 4202, 4434, 104, 70, "Text",
  CellTags->"Definition (conv): c:"],
Cell[141623, 4308, 2466, 69, 70, "Text",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[144092, 4379, 726, 19, 70, "Text",
  CellTags->"Proposition (conv of sum): c+"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

