(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    169142,       5103]*)
(*NotebookOutlinePosition[    177563,       5374]*)
(*  CellTagsIndexPosition[    176394,       5329]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (conv of sum): c+)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (conv of sum): c+"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1] \[And] conv[f\_2] \[Implies] 
        conv[f\_1\[CirclePlus]f\_2]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (conv of sum): c+"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (conv): c:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (conv): c:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"conv", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}], "\[Implies]", 
                    RowBox[{
                      UnderscriptBox["\[Exists]", 
                        RowBox[{
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "\[GreaterEqual]", 
                              StyleBox["N",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[Implies]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  RowBox[{
                                    StyleBox["f",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "[", 
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "]"}], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}]}], 
                  ")"}]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (conv): c:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (max): max:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (max): max:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  CellTags->"Proposition (max): max:"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (conv of sum): c+",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (conv of sum): c+"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_2]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"3"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1\[CirclePlus]f\_2]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"1"],

Cell[TextData[{
  "Using the definition ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (conv): c:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (conv): c:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we expand the goal ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_1\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_2\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"6"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(a\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(a\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_2\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"8"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find appropriate values ",
  Cell[BoxData[
      \(a\_0\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], 
                          "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}],
                       "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"9"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(\[Epsilon]\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"10"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                  "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"11"],

Cell[TextData[{
  "For using ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to find appropriate values ",
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      \(\[Epsilon]\_2\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", and we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_1\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_2\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_2\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"13"],

Cell[CellGroupData[{

Cell[TextData[{
  "First we assume ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " (to be proven later):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]], "Assumption",
    
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"16"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(N\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(N\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"19"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we have to find appropriate values ",
  Cell[BoxData[
      \(N\_0\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"20"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(n\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"21"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
          "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"22"],

Cell[TextData[{
  "For using ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we have to find appropriate values ",
  Cell[BoxData[
      \(n\_1\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      \(n\_2\%\("*"\)\)], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0.8, 0, 0]],
  ", and we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(23)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "23"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_1\%\("*"\)\)}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(24)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "24"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_2\%\("*"\)\)}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"24"],

Cell[CellGroupData[{

Cell[TextData[{
  "First we assume ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " (to be proven later):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[",", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"25"],

Cell[TextData[{
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["24",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(26)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "26"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
            StyleBox[\(a\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_1\%\("*"\)\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(27)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "27"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
            StyleBox[\(a\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_2\%\("*"\)\)}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[" ", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"27"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["26, 27",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "26, 27"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(28)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "28"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"28"],

Cell[TextData[{
  "Using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (sum of functions): \[CirclePlus]:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (sum of functions): \[CirclePlus]:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["28",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "28"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is transformed into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(30)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "30"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], 
              "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"30"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["30",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "30"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it becomes an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by taking: ",
  Cell[BoxData[
      RowBox[{"{", 
        RowBox[{
          RowBox[{\(a\_0\%\("*"\)\), "\[Rule]", 
            RowBox[{
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "+", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ",", 
          RowBox[{\(n\_1\%\("*"\)\), "\[Rule]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{\(n\_2\%\("*"\)\), "\[Rule]", 
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], ",", 
          RowBox[{\(\[Epsilon]\_1\%\("*"\)\), "\[Rule]", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], ",", 
          RowBox[{\(\[Epsilon]\_2\%\("*"\)\), "\[Rule]", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}], "}"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"25"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(29)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "29"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"29"],

Cell[TextData[{
  "Using the substitution from step ",
  StyleBox["(", "Label"],
  ButtonBox["30",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "30"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["29",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "29"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " becomes:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(34)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "34"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"34"],

Cell[TextData[{
  "Using the substitution from step ",
  StyleBox["(", "Label"],
  ButtonBox["30",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "30"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the assumption ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " becomes:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(35)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "35"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[And]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"35"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["34",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "34"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it becomes an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (max): max:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (max): max:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " by taking: ",
  Cell[BoxData[
      RowBox[{"{", 
        RowBox[{\(N\_0\%\("*"\)\), "\[Rule]", 
          RowBox[{"max", "[", 
            RowBox[{
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(N\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "}"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->RGBColor[0, 0.500008, 0]],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"14"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove the following, but this fails:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], 
        "\[Implies]", \(\[Epsilon]\_1\%\("*"\) > 
            0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"17"],

Cell[TextData[{
  "Using the substitution from step ",
  StyleBox["(", "Label"],
  ButtonBox["30",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "30"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " becomes:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(36)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "36"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], "\[Implies]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}],
  Cell[".", "ProofText"]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  CellTags->"36"],

Cell[TextData[{
  "The proof of ",
  StyleBox["(", "Label"],
  ButtonBox["36",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "36"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "fails.",
  " (The prover \"ByDef\" was unable to transform the proof situation.)"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        StyleBox["Prove",
          FontWeight->"Bold"], "[", \(Proposition["\<conv of sum\>"], 
        using \[Rule] {Definition["\<conv\>"], 
            Definition["\<sum of functions\>"], 
            Proposition["\<distance of sum\>"], Proposition["\<max\>"]}\), 
        "]"}], ";"}]], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "1",
  "\[Alpha]1"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2006/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 2003/03/04 08:55:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.30 ",
  ", ",
  "Date: 2001/11/11 17:12:25 ",
  ", ",
  "Last modified by: knakagaw "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.57 ",
  ", ",
  "Date: 2003/08/21 08:55:15 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/03/28 15:26:25 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 1999/08/13 01:53:07 ",
  ", ",
  "Last modified by: kriftner "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.68 ",
  ", ",
  "Date: 2003/06/18 13:01:15 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/01/25 15:47:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/10/20 09:32:04 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2003/09/05 13:26:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.37 ",
  ", ",
  "Date: 2004/01/26 11:45:07 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.22 ",
  ", ",
  "Date: 2003/03/28 15:58:24 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.42 ",
  ", ",
  "Date: 2003/03/28 15:32:41 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2003/06/18 15:35:43 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/28 15:42:59 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.53 ",
  ", ",
  "Date: 2003/06/18 15:30:14 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/06/01 00:03:05 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:14 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2004/01/26 11:46:09 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`ProverByDef`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/10/20 09:30:52 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1\[CirclePlus]f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                  "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_1\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_1\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{\(\[Epsilon]\_2\%\("*"\) > 0\), "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["N",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  StyleBox["n",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[GreaterEqual]", 
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      StyleBox[\(a\_2\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], 
                  "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(\[Epsilon]\_1\%\("*"\) > 0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["N",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["n",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["N",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    StyleBox[\(a\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], 
                "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], 
        "\[Implies]", \(\[Epsilon]\_1\%\("*"\) > 
            0 \[And] \[Epsilon]\_2\%\("*"\) > 0\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_1\%\("*"\)\)}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              StyleBox[\(N\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  StyleBox[\(a\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], 
              "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["n",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["n",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(n\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(n\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
          "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(23)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "23"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
              StyleBox[\(a\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_1\%\("*"\)\)}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(24)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "24"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
              StyleBox[\(a\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], 
          "<", \(\[Epsilon]\_2\%\("*"\)\)}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
          StyleBox[\(N\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(26)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "26"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
            StyleBox[\(a\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_1\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(27)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "27"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
            StyleBox[\(a\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], 
        "<", \(\[Epsilon]\_2\%\("*"\)\)}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(28)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "28"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(n\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", \(a\_0\%\("*"\)\)}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(29)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "29"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{\(n\_1\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{\(n\_2\%\("*"\)\), "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"29"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(30)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "30"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1[n\_1\%\("*"\)]\), "-", 
                StyleBox[\(a\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_1\%\("*"\)\)}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2[n\_2\%\("*"\)]\), "-", 
                StyleBox[\(a\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], 
            "<", \(\[Epsilon]\_2\%\("*"\)\)}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(n\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], 
              "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"30"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(34)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "34"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(n\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "\[GreaterEqual]", \(N\_0\%\("*"\)\)}], 
        "\[Implies]", 
        RowBox[{
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(N\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            StyleBox[\(n\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "\[GreaterEqual]", 
            StyleBox[\(N\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"34"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(35)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "35"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[And]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"35"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(36)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "36"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], "\[Implies]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"36"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_1\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], ">", "0"}], "\[Implies]", 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["N",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        StyleBox["n",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "\[GreaterEqual]", 
                        StyleBox["N",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{\(f\_2\), "[", 
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            StyleBox["a",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_1\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          StyleBox[\(a\_2\),
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["N",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["n",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["n",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[GreaterEqual]", 
                      StyleBox["N",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], 
                          "-", \(a\_0\%\("*"\)\)}], "\[RightBracketingBar]"}],
                       "<", 
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}]}], ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (conv): c:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (conv): c:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"conv", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["a",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      StyleBox["\[Epsilon]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], ">", "0"}], "\[Implies]", 
                    RowBox[{
                      UnderscriptBox["\[Exists]", 
                        RowBox[{
                          StyleBox["N",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], " "}]], 
                      RowBox[{
                        UnderscriptBox["\[ForAll]", 
                          RowBox[{
                            StyleBox["n",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], " "}]], 
                        RowBox[{"(", 
                          RowBox[{
                            RowBox[{
                              StyleBox["n",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "\[GreaterEqual]", 
                              StyleBox["N",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], "\[Implies]", 
                            RowBox[{
                              RowBox[{"\[LeftBracketingBar]", 
                                RowBox[{
                                  RowBox[{
                                    StyleBox["f",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "[", 
                                    StyleBox["n",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "]"}], "-", 
                                  StyleBox["a",
                                    FontWeight->"Plain",
                                    FontSlant->"Italic",
                                    Background->None]}], 
                                "\[RightBracketingBar]"}], "<", 
                              StyleBox["\[Epsilon]",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]}], ")"}]}]}]}], 
                  ")"}]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (conv): c:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (conv of sum): c+)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (conv of sum): c+"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(conv[f\_1] \[And] conv[f\_2] \[Implies] 
        conv[f\_1\[CirclePlus]f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (conv of sum): c+"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (max): max:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (max): max:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (max): max:"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (conv of sum): c+"->{
    Cell[1872, 56, 669, 17, 47, "Conclusion",
      CellTags->"Proposition (conv of sum): c+"],
    Cell[161862, 4900, 726, 19, 70, "Text",
      CellTags->"Proposition (conv of sum): c+"]},
  "Definition (conv): c:"->{
    Cell[2678, 80, 4377, 102, 56, "Assumption",
      CellTags->"Definition (conv): c:"],
    Cell[154956, 4723, 4434, 104, 70, "Text",
      CellTags->"Definition (conv): c:"]},
  "Definition (sum of functions): \[CirclePlus]:"->{
    Cell[7058, 184, 2409, 67, 57, "Assumption",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"],
    Cell[159393, 4829, 2466, 69, 70, "Text",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"]},
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"->{
    Cell[9470, 253, 4037, 106, 57, "Assumption",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    Cell[162591, 4921, 4094, 108, 70, "Text",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"]},
  "Proposition (max): max:"->{
    Cell[13510, 361, 2369, 66, 57, "Assumption",
      CellTags->"Proposition (max): max:"],
    Cell[166688, 5031, 2426, 68, 70, "Text",
      CellTags->"Proposition (max): max:"]},
  "2"->{
    Cell[16335, 444, 526, 15, 47, "Assumption",
      CellTags->"2"],
    Cell[119452, 3729, 569, 17, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[16864, 461, 526, 15, 47, "Assumption",
      CellTags->"3"],
    Cell[131241, 4078, 569, 17, 70, "Text",
      CellTags->"3"]},
  "1"->{
    Cell[17503, 481, 543, 15, 47, "Conclusion",
      CellTags->"1"],
    Cell[103188, 3261, 586, 17, 70, "Text",
      CellTags->"1"]},
  "4"->{
    Cell[19274, 540, 3101, 78, 56, "Conclusion",
      CellTags->"4"],
    Cell[137264, 4258, 3144, 80, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[22378, 620, 3082, 78, 56, "Assumption",
      CellTags->"5"],
    Cell[140411, 4340, 3125, 80, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[25463, 700, 3082, 78, 56, "Assumption",
      CellTags->"6"],
    Cell[143539, 4422, 3125, 80, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[29778, 822, 2764, 71, 56, "Assumption",
      CellTags->"7"],
    Cell[146667, 4504, 2802, 72, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[32545, 895, 2764, 71, 56, "Assumption",
      CellTags->"8"],
    Cell[149472, 4578, 2802, 72, 70, "Text",
      CellTags->"8"]},
  "9"->{
    Cell[35907, 987, 2638, 68, 56, "Conclusion",
      CellTags->"9"],
    Cell[152277, 4652, 2676, 69, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[39280, 1081, 661, 19, 47, "Assumption",
      CellTags->"10"],
    Cell[103777, 3280, 704, 21, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[40054, 1105, 1924, 52, 55, "Conclusion",
      CellTags->"11"],
    Cell[104484, 3303, 1967, 54, 70, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[43047, 1193, 2063, 54, 55, "Assumption",
      CellTags->"12"],
    Cell[106454, 3359, 2101, 55, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[45113, 1249, 2063, 54, 55, "Assumption",
      CellTags->"13"],
    Cell[108558, 3416, 2101, 55, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[47602, 1321, 584, 16, 47, "Assumption",
      CellTags->"14"],
    Cell[85972, 2490, 584, 16, 47, "Conclusion",
      CellTags->"14"],
    Cell[110662, 3473, 627, 18, 70, "Text",
      CellTags->"14"]},
  "15"->{
    Cell[49499, 1386, 1924, 53, 55, "Assumption",
      CellTags->"15"],
    Cell[111292, 3493, 1962, 54, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[51426, 1441, 1924, 53, 55, "Assumption",
      CellTags->"16"],
    Cell[113257, 3549, 1962, 54, 70, "Text",
      CellTags->"16"]},
  "18"->{
    Cell[54587, 1538, 1651, 45, 55, "Assumption",
      CellTags->"18"],
    Cell[116058, 3631, 1694, 47, 70, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[56241, 1585, 1651, 45, 55, "Assumption",
      CellTags->"19"],
    Cell[117755, 3680, 1694, 47, 70, "Text",
      CellTags->"19"]},
  "20"->{
    Cell[58492, 1651, 1545, 42, 55, "Conclusion",
      CellTags->"20"],
    Cell[120024, 3748, 1588, 44, 70, "Text",
      CellTags->"20"]},
  "21"->{
    Cell[60765, 1719, 685, 20, 47, "Assumption",
      CellTags->"21"],
    Cell[121615, 3794, 723, 21, 70, "Text",
      CellTags->"21"]},
  "22"->{
    Cell[61563, 1744, 985, 27, 47, "Conclusion",
      CellTags->"22"],
    Cell[122341, 3817, 1028, 29, 70, "Text",
      CellTags->"22"]},
  "23"->{
    Cell[63603, 1807, 1050, 28, 47, "Assumption",
      CellTags->"23"],
    Cell[123372, 3848, 1093, 30, 70, "Text",
      CellTags->"23"]},
  "24"->{
    Cell[64656, 1837, 1050, 28, 47, "Assumption",
      CellTags->"24"],
    Cell[124468, 3880, 1093, 30, 70, "Text",
      CellTags->"24"]},
  "25"->{
    Cell[66132, 1883, 901, 25, 47, "Assumption",
      CellTags->"25"],
    Cell[77881, 2232, 901, 25, 47, "Conclusion",
      CellTags->"25"],
    Cell[125564, 3912, 944, 27, 70, "Text",
      CellTags->"25"]},
  "26"->{
    Cell[68346, 1957, 819, 22, 47, "Assumption",
      CellTags->"26"],
    Cell[126511, 3941, 862, 24, 70, "Text",
      CellTags->"26"]},
  "27"->{
    Cell[69168, 1981, 819, 22, 47, "Assumption",
      CellTags->"27"],
    Cell[127376, 3967, 862, 24, 70, "Text",
      CellTags->"27"]},
  "28"->{
    Cell[70650, 2028, 1761, 45, 47, "Conclusion",
      CellTags->"28"],
    Cell[128241, 3993, 1804, 47, 70, "Text",
      CellTags->"28"]},
  "30"->{
    Cell[73151, 2098, 2047, 52, 47, "Conclusion",
      CellTags->"30"],
    Cell[131813, 4097, 2090, 54, 70, "Text",
      CellTags->"30"]},
  "29"->{
    Cell[79437, 2282, 1147, 32, 47, "Conclusion",
      CellTags->"29"],
    Cell[130048, 4042, 1190, 34, 70, "Text",
      CellTags->"29"]},
  "34"->{
    Cell[81253, 2339, 1379, 40, 47, "Conclusion",
      CellTags->"34"],
    Cell[133906, 4153, 1422, 42, 70, "Text",
      CellTags->"34"]},
  "35"->{
    Cell[83307, 2404, 937, 27, 51, "Assumption",
      CellTags->"35"],
    Cell[135331, 4197, 980, 29, 70, "Text",
      CellTags->"35"]},
  "17"->{
    Cell[87242, 2531, 790, 22, 47, "Conclusion",
      CellTags->"17"],
    Cell[115222, 3605, 833, 24, 70, "Text",
      CellTags->"17"]},
  "36"->{
    Cell[88701, 2578, 904, 26, 51, "Conclusion",
      CellTags->"36"],
    Cell[136314, 4228, 947, 28, 70, "Text",
      CellTags->"36"]},
  "AdditionalInfo"->{
    Cell[90295, 2630, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (conv of sum): c+", 169888, 5123},
  {"Definition (conv): c:", 170108, 5128},
  {"Definition (sum of functions): \[CirclePlus]:", 170340, 5133},
  {"Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]", 170650, 5139},
  {"Proposition (max): max:", 170985, 5148},
  {"2", 171177, 5153},
  {"3", 171323, 5158},
  {"1", 171469, 5163},
  {"4", 171615, 5168},
  {"5", 171763, 5173},
  {"6", 171911, 5178},
  {"7", 172059, 5183},
  {"8", 172207, 5188},
  {"9", 172355, 5193},
  {"10", 172504, 5198},
  {"11", 172654, 5203},
  {"12", 172806, 5208},
  {"13", 172958, 5213},
  {"14", 173110, 5218},
  {"15", 173332, 5225},
  {"16", 173484, 5230},
  {"18", 173636, 5235},
  {"19", 173788, 5240},
  {"20", 173940, 5245},
  {"21", 174092, 5250},
  {"22", 174242, 5255},
  {"23", 174393, 5260},
  {"24", 174545, 5265},
  {"25", 174697, 5270},
  {"26", 174919, 5277},
  {"27", 175069, 5282},
  {"28", 175219, 5287},
  {"30", 175371, 5292},
  {"29", 175523, 5297},
  {"34", 175675, 5302},
  {"35", 175827, 5307},
  {"17", 175977, 5312},
  {"36", 176127, 5317},
  {"AdditionalInfo", 176289, 5322}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 93, 1, 47, "ProofText"],
Cell[1872, 56, 669, 17, 47, "Conclusion",
  CellTags->"Proposition (conv of sum): c+"],

Cell[CellGroupData[{
Cell[2566, 77, 109, 1, 47, "ProofText"],
Cell[2678, 80, 4377, 102, 56, "Assumption",
  CellTags->"Definition (conv): c:"],
Cell[7058, 184, 2409, 67, 57, "Assumption",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[9470, 253, 4037, 106, 57, "Assumption",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[13510, 361, 2369, 66, 57, "Assumption",
  CellTags->"Proposition (max): max:"]
}, Open  ]],
Cell[15894, 430, 438, 12, 47, "ProofText"],
Cell[16335, 444, 526, 15, 47, "Assumption",
  CellTags->"2"],
Cell[16864, 461, 526, 15, 47, "Assumption",
  CellTags->"3"],
Cell[17393, 478, 107, 1, 47, "ProofText"],
Cell[17503, 481, 543, 15, 47, "Conclusion",
  CellTags->"1"],
Cell[18049, 498, 1222, 40, 47, "ProofText"],
Cell[19274, 540, 3101, 78, 56, "Conclusion",
  CellTags->"4"],
Cell[22378, 620, 3082, 78, 56, "Assumption",
  CellTags->"5"],
Cell[25463, 700, 3082, 78, 56, "Assumption",
  CellTags->"6"],
Cell[28548, 780, 1227, 40, 47, "ProofText"],
Cell[29778, 822, 2764, 71, 56, "Assumption",
  CellTags->"7"],
Cell[32545, 895, 2764, 71, 56, "Assumption",
  CellTags->"8"],
Cell[35312, 968, 592, 17, 47, "ProofText"],
Cell[35907, 987, 2638, 68, 56, "Conclusion",
  CellTags->"9"],
Cell[38548, 1057, 729, 22, 47, "ProofText"],
Cell[39280, 1081, 661, 19, 47, "Assumption",
  CellTags->"10"],
Cell[39944, 1102, 107, 1, 47, "ProofText"],
Cell[40054, 1105, 1924, 52, 55, "Conclusion",
  CellTags->"11"],
Cell[41981, 1159, 1063, 32, 47, "ProofText"],
Cell[43047, 1193, 2063, 54, 55, "Assumption",
  CellTags->"12"],
Cell[45113, 1249, 2063, 54, 55, "Assumption",
  CellTags->"13"],

Cell[CellGroupData[{
Cell[47201, 1307, 398, 12, 47, "ProofText"],
Cell[47602, 1321, 584, 16, 47, "Assumption",
  CellTags->"14"],
Cell[48189, 1339, 396, 12, 47, "ProofText"],
Cell[48588, 1353, 908, 31, 47, "ProofText"],
Cell[49499, 1386, 1924, 53, 55, "Assumption",
  CellTags->"15"],
Cell[51426, 1441, 1924, 53, 55, "Assumption",
  CellTags->"16"],
Cell[53353, 1496, 1231, 40, 47, "ProofText"],
Cell[54587, 1538, 1651, 45, 55, "Assumption",
  CellTags->"18"],
Cell[56241, 1585, 1651, 45, 55, "Assumption",
  CellTags->"19"],
Cell[57895, 1632, 594, 17, 47, "ProofText"],
Cell[58492, 1651, 1545, 42, 55, "Conclusion",
  CellTags->"20"],
Cell[60040, 1695, 722, 22, 47, "ProofText"],
Cell[60765, 1719, 685, 20, 47, "Assumption",
  CellTags->"21"],
Cell[61453, 1741, 107, 1, 47, "ProofText"],
Cell[61563, 1744, 985, 27, 47, "Conclusion",
  CellTags->"22"],
Cell[62551, 1773, 1049, 32, 47, "ProofText"],
Cell[63603, 1807, 1050, 28, 47, "Assumption",
  CellTags->"23"],
Cell[64656, 1837, 1050, 28, 47, "Assumption",
  CellTags->"24"],

Cell[CellGroupData[{
Cell[65731, 1869, 398, 12, 47, "ProofText"],
Cell[66132, 1883, 901, 25, 47, "Assumption",
  CellTags->"25"],
Cell[67036, 1910, 396, 12, 47, "ProofText"],
Cell[67435, 1924, 908, 31, 47, "ProofText"],
Cell[68346, 1957, 819, 22, 47, "Assumption",
  CellTags->"26"],
Cell[69168, 1981, 819, 22, 47, "Assumption",
  CellTags->"27"],
Cell[69990, 2005, 657, 21, 47, "ProofText"],
Cell[70650, 2028, 1761, 45, 47, "Conclusion",
  CellTags->"28"],
Cell[72414, 2075, 734, 21, 47, "ProofText"],
Cell[73151, 2098, 2047, 52, 47, "Conclusion",
  CellTags->"30"],
Cell[75201, 2152, 2266, 61, 77, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[77504, 2218, 374, 12, 47, "ProofText"],
Cell[77881, 2232, 901, 25, 47, "Conclusion",
  CellTags->"25"],
Cell[78785, 2259, 649, 21, 47, "ProofText"],
Cell[79437, 2282, 1147, 32, 47, "Conclusion",
  CellTags->"29"],
Cell[80587, 2316, 663, 21, 47, "ProofText"],
Cell[81253, 2339, 1379, 40, 47, "Conclusion",
  CellTags->"34"],
Cell[82635, 2381, 669, 21, 47, "ProofText"],
Cell[83307, 2404, 937, 27, 51, "Assumption",
  CellTags->"35"],
Cell[84247, 2433, 1299, 37, 47, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[85595, 2476, 374, 12, 47, "ProofText"],
Cell[85972, 2490, 584, 16, 47, "Conclusion",
  CellTags->"14"],
Cell[86559, 2508, 680, 21, 47, "ProofText"],
Cell[87242, 2531, 790, 22, 47, "Conclusion",
  CellTags->"17"],
Cell[88035, 2555, 663, 21, 47, "ProofText"],
Cell[88701, 2578, 904, 26, 51, "Conclusion",
  CellTags->"36"],
Cell[89608, 2606, 453, 13, 47, "ProofText"]
}, Open  ]],
Cell[90076, 2622, 182, 3, 36, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[90295, 2630, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[90408, 2635, 36, 0, 70, "Subsection"],
Cell[90447, 2637, 343, 8, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[90827, 2650, 34, 0, 70, "Subsection"],
Cell[90864, 2652, 120, 7, 70, "Text"],
Cell[90987, 2661, 98, 4, 70, "Text"],
Cell[91088, 2667, 99, 4, 70, "Text"],
Cell[91190, 2673, 195, 9, 70, "Text"],
Cell[91388, 2684, 231, 9, 70, "Text"],
Cell[91622, 2695, 230, 9, 70, "Text"],
Cell[91855, 2706, 216, 9, 70, "Text"],
Cell[92074, 2717, 216, 9, 70, "Text"],
Cell[92293, 2728, 216, 9, 70, "Text"],
Cell[92512, 2739, 230, 9, 70, "Text"],
Cell[92745, 2750, 227, 9, 70, "Text"],
Cell[92975, 2761, 227, 9, 70, "Text"],
Cell[93205, 2772, 228, 9, 70, "Text"],
Cell[93436, 2783, 224, 9, 70, "Text"],
Cell[93663, 2794, 224, 9, 70, "Text"],
Cell[93890, 2805, 217, 9, 70, "Text"],
Cell[94110, 2816, 218, 9, 70, "Text"],
Cell[94331, 2827, 225, 9, 70, "Text"],
Cell[94559, 2838, 222, 9, 70, "Text"],
Cell[94784, 2849, 221, 9, 70, "Text"],
Cell[95008, 2860, 221, 9, 70, "Text"],
Cell[95232, 2871, 219, 9, 70, "Text"],
Cell[95454, 2882, 223, 9, 70, "Text"],
Cell[95680, 2893, 218, 9, 70, "Text"],
Cell[95901, 2904, 220, 9, 70, "Text"],
Cell[96124, 2915, 225, 9, 70, "Text"],
Cell[96352, 2926, 219, 9, 70, "Text"],
Cell[96574, 2937, 227, 9, 70, "Text"],
Cell[96804, 2948, 221, 9, 70, "Text"],
Cell[97028, 2959, 219, 9, 70, "Text"],
Cell[97250, 2970, 229, 9, 70, "Text"],
Cell[97482, 2981, 230, 9, 70, "Text"],
Cell[97715, 2992, 228, 9, 70, "Text"],
Cell[97946, 3003, 226, 9, 70, "Text"],
Cell[98175, 3014, 219, 9, 70, "Text"],
Cell[98397, 3025, 222, 9, 70, "Text"],
Cell[98622, 3036, 223, 9, 70, "Text"],
Cell[98848, 3047, 223, 9, 70, "Text"],
Cell[99074, 3058, 234, 9, 70, "Text"],
Cell[99311, 3069, 233, 9, 70, "Text"],
Cell[99547, 3080, 217, 9, 70, "Text"],
Cell[99767, 3091, 225, 9, 70, "Text"],
Cell[99995, 3102, 216, 9, 70, "Text"],
Cell[100214, 3113, 223, 9, 70, "Text"],
Cell[100440, 3124, 219, 9, 70, "Text"],
Cell[100662, 3135, 231, 9, 70, "Text"],
Cell[100896, 3146, 236, 9, 70, "Text"],
Cell[101135, 3157, 230, 9, 70, "Text"],
Cell[101368, 3168, 228, 9, 70, "Text"],
Cell[101599, 3179, 232, 9, 70, "Text"],
Cell[101834, 3190, 226, 9, 70, "Text"],
Cell[102063, 3201, 230, 9, 70, "Text"],
Cell[102296, 3212, 210, 9, 70, "Text"],
Cell[102509, 3223, 211, 9, 70, "Text"],
Cell[102723, 3234, 184, 9, 70, "Text"],
Cell[102910, 3245, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[103129, 3259, 56, 0, 70, "Subsection"],
Cell[103188, 3261, 586, 17, 70, "Text",
  CellTags->"1"],
Cell[103777, 3280, 704, 21, 70, "Text",
  CellTags->"10"],
Cell[104484, 3303, 1967, 54, 70, "Text",
  CellTags->"11"],
Cell[106454, 3359, 2101, 55, 70, "Text",
  CellTags->"12"],
Cell[108558, 3416, 2101, 55, 70, "Text",
  CellTags->"13"],
Cell[110662, 3473, 627, 18, 70, "Text",
  CellTags->"14"],
Cell[111292, 3493, 1962, 54, 70, "Text",
  CellTags->"15"],
Cell[113257, 3549, 1962, 54, 70, "Text",
  CellTags->"16"],
Cell[115222, 3605, 833, 24, 70, "Text",
  CellTags->"17"],
Cell[116058, 3631, 1694, 47, 70, "Text",
  CellTags->"18"],
Cell[117755, 3680, 1694, 47, 70, "Text",
  CellTags->"19"],
Cell[119452, 3729, 569, 17, 70, "Text",
  CellTags->"2"],
Cell[120024, 3748, 1588, 44, 70, "Text",
  CellTags->"20"],
Cell[121615, 3794, 723, 21, 70, "Text",
  CellTags->"21"],
Cell[122341, 3817, 1028, 29, 70, "Text",
  CellTags->"22"],
Cell[123372, 3848, 1093, 30, 70, "Text",
  CellTags->"23"],
Cell[124468, 3880, 1093, 30, 70, "Text",
  CellTags->"24"],
Cell[125564, 3912, 944, 27, 70, "Text",
  CellTags->"25"],
Cell[126511, 3941, 862, 24, 70, "Text",
  CellTags->"26"],
Cell[127376, 3967, 862, 24, 70, "Text",
  CellTags->"27"],
Cell[128241, 3993, 1804, 47, 70, "Text",
  CellTags->"28"],
Cell[130048, 4042, 1190, 34, 70, "Text",
  CellTags->"29"],
Cell[131241, 4078, 569, 17, 70, "Text",
  CellTags->"3"],
Cell[131813, 4097, 2090, 54, 70, "Text",
  CellTags->"30"],
Cell[133906, 4153, 1422, 42, 70, "Text",
  CellTags->"34"],
Cell[135331, 4197, 980, 29, 70, "Text",
  CellTags->"35"],
Cell[136314, 4228, 947, 28, 70, "Text",
  CellTags->"36"],
Cell[137264, 4258, 3144, 80, 70, "Text",
  CellTags->"4"],
Cell[140411, 4340, 3125, 80, 70, "Text",
  CellTags->"5"],
Cell[143539, 4422, 3125, 80, 70, "Text",
  CellTags->"6"],
Cell[146667, 4504, 2802, 72, 70, "Text",
  CellTags->"7"],
Cell[149472, 4578, 2802, 72, 70, "Text",
  CellTags->"8"],
Cell[152277, 4652, 2676, 69, 70, "Text",
  CellTags->"9"],
Cell[154956, 4723, 4434, 104, 70, "Text",
  CellTags->"Definition (conv): c:"],
Cell[159393, 4829, 2466, 69, 70, "Text",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[161862, 4900, 726, 19, 70, "Text",
  CellTags->"Proposition (conv of sum): c+"],
Cell[162591, 4921, 4094, 108, 70, "Text",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[166688, 5031, 2426, 68, 70, "Text",
  CellTags->"Proposition (max): max:"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

