(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    198854,       5740]*)
(*NotebookOutlinePosition[    207082,       5979]*)
(*  CellTagsIndexPosition[    205834,       5939]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (cont of product): c*)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (cont of product): c*"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      \(cont[f\_1] \[And] cont[f\_2] \[Implies] cont[f\_1\[CircleDot]f\_2]\)],
     "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (cont of product): c*"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Definition (cont): c:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (cont): c:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"cont", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "-", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Delta]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              StyleBox["f",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            RowBox[{
                              StyleBox["f",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}]}], 
                          "\[RightBracketingBar]"}], "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Definition (cont): c:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Definition (product of functions): \
\[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (product of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CircleDot]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "*", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Definition (product of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (distance of product): \
\[LeftBracketingBar]**\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}], 
              "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}]}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->
  "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (max): max:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (max): max:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (max): max:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (min): min:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (min): min:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (min): min:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (eps/2): e/2)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/2): e/2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ">", "0"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (eps/2): e/2"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (eps/ab): e/ab)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/ab): e/ab"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}]}]], ">", 
              "0"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[".", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (eps/ab): e/ab"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (cont of product): c*",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (cont of product): c*"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1}],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1}],
  Cell[BoxData[
      \(cont[f\_1]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1}],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1}],
  Cell[BoxData[
      \(cont[f\_2]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1},
  CellTags->"3"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1}],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1}],
  Cell[BoxData[
      \(cont[f\_1\[CircleDot]f\_2]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1},
  CellTags->"1"],

Cell[TextData[{
  "Using the definition ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (cont): c:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (cont): c:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we expand the goal ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], 
                    "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1},
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], 
                    "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1},
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], 
                    "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1},
  CellTags->"6"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(x\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(\[Epsilon]\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", and we prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1},
  CellTags->"7"],

Cell[TextData[{
  "By instantiating ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " with ",
  Cell[BoxData[
      StyleBox[\(x\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], 
        RowBox[{"1", "+", 
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[RightBracketingBar]"}]}]]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(x\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], 
        RowBox[{"1", "+", 
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "\[RightBracketingBar]"}]}]]], 
    "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", respectively, we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_1\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[RightBracketingBar]"}],
                     "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_2\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], 
                      "\[RightBracketingBar]"}]}]]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_1\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[RightBracketingBar]"}],
                     "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_2\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], 
                      "\[RightBracketingBar]"}]}]]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"9"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(\[Delta]\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(\[Delta]\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              FractionBox[
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "\[RightBracketingBar]"}], 
                  "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], 
                    "\[RightBracketingBar]"}]}]]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              FractionBox[
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "\[RightBracketingBar]"}], 
                  "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], 
                    "\[RightBracketingBar]"}]}]]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"11"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by using the witness ",
  Cell[BoxData[
      RowBox[{"min", "[", 
        RowBox[{
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  " it suffices to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox[\(\[Delta]\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Delta]\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"12"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(y\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "-", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], "<", 
        RowBox[{"min", "[", 
          RowBox[{
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"13"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"14"],

Cell[TextData[{
  "By instantiating ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " with ",
  Cell[BoxData[
      StyleBox[\(y\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(y\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", respectively, we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            RowBox[{"1", "+", 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
              
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                "\[RightBracketingBar]"}]}]]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            RowBox[{"1", "+", 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
              
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                "\[RightBracketingBar]"}]}]]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"16"],

Cell[CellGroupData[{

Cell[TextData[{
  "First we assume ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " (to be proven later):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"17"],

Cell[TextData[{
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["15",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["16",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          RowBox[{"1", "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}]}]]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          RowBox[{"1", "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}]}]]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"19"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["18, 19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18, 19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],\


Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"20"],

Cell[TextData[{
  "Using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (product of functions): \[CirclePlus]:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (product of functions): \[CirclePlus]:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is transformed into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "*", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "-", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "*", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}]}], "\[RightBracketingBar]"}], 
          "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1},
  CellTags->"22"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1, 2, 1}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2},
  CellTags->"17"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["17",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1}],\


Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1},
  CellTags->"21"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (min): min:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (min): min:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
    2, 1, 2, 1, 2, 1}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Show[TransMeta[%]]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "4",
  "\[Alpha]2"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2006/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2004/12/09 09:28:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 2004/12/09 10:00:12 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.57 ",
  ", ",
  "Date: 2003/08/21 08:55:15 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2004/11/30 13:04:38 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.25 ",
  ", ",
  "Date: 2004/12/27 16:24:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2004/08/09 08:57:12 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/01/25 15:47:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/10/20 09:32:04 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2003/09/05 13:26:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.37 ",
  ", ",
  "Date: 2004/01/26 11:45:07 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2004/11/30 13:35:21 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.44 ",
  ", ",
  "Date: 2004/12/03 13:30:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2003/06/18 15:35:43 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 2004/11/30 13:10:05 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.54 ",
  ", ",
  "Date: 2004/11/30 13:10:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/06/01 00:03:05 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:14 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2004/01/26 11:46:09 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`ProverByDef`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/10/20 09:30:52 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(cont[f\_1\[CircleDot]f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              FractionBox[
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "\[RightBracketingBar]"}], 
                  "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], 
                    "\[RightBracketingBar]"}]}]]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              FractionBox[
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "\[RightBracketingBar]"}], 
                  "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], 
                    "\[RightBracketingBar]"}]}]]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox[\(\[Delta]\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Delta]\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "-", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], "<", 
        RowBox[{"min", "[", 
          RowBox[{
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            RowBox[{"1", "+", 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
              
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                "\[RightBracketingBar]"}]}]]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], 
            RowBox[{"1", "+", 
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
              
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], 
                "\[RightBracketingBar]"}]}]]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          RowBox[{"1", "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}]}]]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], 
          RowBox[{"1", "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}], "+", 
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "\[RightBracketingBar]"}]}]]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(cont[f\_1]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], 
              RowBox[{"1", "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "\[RightBracketingBar]"}], 
                "+", 
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], 
                  "\[RightBracketingBar]"}]}]]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "*", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "-", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "*", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}]}], "\[RightBracketingBar]"}], 
          "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(cont[f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], 
                    "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      RowBox[{\(f\_1\), "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], 
                    "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{
            UnderscriptBox["\[ForAll]", 
              RowBox[{
                StyleBox["y",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], " "}]], 
            RowBox[{"(", 
              RowBox[{
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "-", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[Implies]", 
                RowBox[{
                  RowBox[{"\[LeftBracketingBar]", 
                    RowBox[{
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "-", 
                      RowBox[{\(f\_2\), "[", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}]}], 
                    "\[RightBracketingBar]"}], "<", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]}], ")"}]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\((f\_1\[CircleDot]f\_2)\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_1\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[RightBracketingBar]"}],
                     "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_2\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], 
                      "\[RightBracketingBar]"}]}]]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox[\(x\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_1\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], "\[RightBracketingBar]"}],
                     "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{\(f\_2\), "[", 
                        StyleBox[\(x\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "]"}], 
                      "\[RightBracketingBar]"}]}]]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (cont): c:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (cont): c:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"cont", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{
                UnderscriptBox["\[Exists]", 
                  RowBox[{
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], " "}]], 
                RowBox[{
                  UnderscriptBox["\[ForAll]", 
                    RowBox[{
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], " "}]], 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "-", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None]}], "\[RightBracketingBar]"}], 
                        "<", 
                        StyleBox["\[Delta]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[Implies]", 
                      RowBox[{
                        RowBox[{"\[LeftBracketingBar]", 
                          RowBox[{
                            RowBox[{
                              StyleBox["f",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}], "-", 
                            RowBox[{
                              StyleBox["f",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "[", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "]"}]}], 
                          "\[RightBracketingBar]"}], "<", 
                        StyleBox["\[Epsilon]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]}], ")"}]}]}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (cont): c:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (product of functions): \
\[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (product of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CircleDot]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "*", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (product of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (cont of product): c*)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (cont of product): c*"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(cont[f\_1] \[And] cont[f\_2] \[Implies] cont[f\_1\[CircleDot]f\_2]\)],
     "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (cont of product): c*"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (distance of product): \
\[LeftBracketingBar]**\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}], 
              "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}]}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->
  "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (eps/2): e/2)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/2): e/2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ">", "0"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (eps/2): e/2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (eps/ab): e/ab)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/ab): e/ab"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}]}]], ">", 
              "0"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (eps/ab): e/ab"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (max): max:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (max): max:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (max): max:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (min): min:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (min): min:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (min): min:"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (cont of product): c\[RawStar]"->{
    Cell[1892, 57, 806, 23, 47, "Conclusion",
      CellTags->"Proposition (cont of product): c\[RawStar]"],
    Cell[180660, 5238, 733, 19, 70, "Text",
      CellTags->"Proposition (cont of product): c\[RawStar]"]},
  "Definition (cont): c:"->{
    Cell[2855, 88, 4424, 110, 58, "Assumption",
      CellTags->"Definition (cont): c:"],
    Cell[171355, 4987, 4351, 106, 70, "Text",
      CellTags->"Definition (cont): c:"]},
  "Definition (sum of functions): \[CirclePlus]:"->{
    Cell[7282, 200, 2539, 73, 57, "Assumption",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"],
    Cell[178191, 5167, 2466, 69, 70, "Text",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"]},
  "Definition (product of functions): \[CirclePlus]:"->{
    Cell[9824, 275, 2552, 74, 57, "Assumption",
      CellTags->"Definition (product of functions): \[CirclePlus]:"],
    Cell[175709, 5095, 2479, 70, 70, "Text",
      CellTags->"Definition (product of functions): \[CirclePlus]:"]},
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"->{
    Cell[12379, 351, 4167, 112, 57, "Assumption",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    Cell[186480, 5390, 4094, 108, 70, "Text",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"]},
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"->{
    Cell[16549, 465, 5154, 133, 93, "Assumption",
      CellTags->
      "Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]"],
    Cell[181396, 5259, 5081, 129, 70, "Text",
      CellTags->
      "Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]"]},
  "Proposition (max): max:"->{
    Cell[21706, 600, 2499, 72, 57, "Assumption",
      CellTags->"Proposition (max): max:"],
    Cell[194000, 5598, 2426, 68, 70, "Text",
      CellTags->"Proposition (max): max:"]},
  "Proposition (min): min:"->{
    Cell[24208, 674, 2470, 72, 57, "Assumption",
      CellTags->"Proposition (min): min:"],
    Cell[196429, 5668, 2397, 68, 70, "Text",
      CellTags->"Proposition (min): min:"]},
  "Proposition (eps/2): e/2"->{
    Cell[26681, 748, 1385, 42, 55, "Assumption",
      CellTags->"Proposition (eps/2): e/2"],
    Cell[190577, 5500, 1307, 37, 70, "Text",
      CellTags->"Proposition (eps/2): e/2"]},
  "Proposition (eps/ab): e/ab"->{
    Cell[28069, 792, 2183, 61, 56, "Assumption",
      CellTags->"Proposition (eps/ab): e/ab"],
    Cell[191887, 5539, 2110, 57, 70, "Text",
      CellTags->"Proposition (eps/ab): e/ab"]},
  "2"->{
    Cell[30740, 871, 680, 21, 47, "Assumption",
      CellTags->"2"],
    Cell[141474, 4187, 569, 17, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[31423, 894, 680, 21, 47, "Assumption",
      CellTags->"3"],
    Cell[153214, 4501, 569, 17, 70, "Text",
      CellTags->"3"]},
  "1"->{
    Cell[32240, 921, 696, 21, 47, "Conclusion",
      CellTags->"1"],
    Cell[120089, 3591, 585, 17, 70, "Text",
      CellTags->"1"]},
  "4"->{
    Cell[34194, 987, 3061, 80, 57, "Conclusion",
      CellTags->"4"],
    Cell[153786, 4520, 2914, 76, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[37258, 1069, 3025, 80, 57, "Assumption",
      CellTags->"5"],
    Cell[156703, 4598, 2878, 76, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[40286, 1151, 3025, 80, 57, "Assumption",
      CellTags->"6"],
    Cell[159584, 4676, 2878, 76, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[44427, 1268, 2662, 69, 57, "Conclusion",
      CellTags->"7"],
    Cell[162465, 4754, 2479, 65, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[50213, 1430, 3425, 86, 58, "Assumption",
      CellTags->"8"],
    Cell[164947, 4821, 3201, 81, 70, "Text",
      CellTags->"8"]},
  "9"->{
    Cell[53641, 1518, 3425, 86, 58, "Assumption",
      CellTags->"9"],
    Cell[168151, 4904, 3201, 81, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[58461, 1651, 3130, 78, 58, "Assumption",
      CellTags->"10"],
    Cell[120677, 3610, 2875, 74, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[61594, 1731, 3130, 78, 58, "Assumption",
      CellTags->"11"],
    Cell[123555, 3686, 2875, 74, 70, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[65729, 1841, 2732, 68, 57, "Conclusion",
      CellTags->"12"],
    Cell[126433, 3762, 2441, 64, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[69311, 1937, 1608, 41, 47, "Assumption",
      CellTags->"13"],
    Cell[128877, 3828, 1281, 37, 70, "Text",
      CellTags->"13"]},
  "14"->{
    Cell[71092, 1984, 1528, 37, 47, "Conclusion",
      CellTags->"14"],
    Cell[130161, 3867, 1201, 33, 70, "Text",
      CellTags->"14"]},
  "15"->{
    Cell[74034, 2066, 2808, 70, 55, "Assumption",
      CellTags->"15"],
    Cell[131365, 3902, 2445, 66, 70, "Text",
      CellTags->"15"]},
  "16"->{
    Cell[76845, 2138, 2808, 70, 55, "Assumption",
      CellTags->"16"],
    Cell[133813, 3970, 2445, 66, 70, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[80151, 2227, 2059, 51, 47, "Assumption",
      CellTags->"17"],
    Cell[100652, 2775, 2059, 51, 47, "Conclusion",
      CellTags->"17"],
    Cell[136261, 4038, 1660, 47, 70, "Text",
      CellTags->"17"]},
  "18"->{
    Cell[83667, 2329, 2171, 52, 55, "Assumption",
      CellTags->"18"],
    Cell[137924, 4087, 1772, 48, 70, "Text",
      CellTags->"18"]},
  "19"->{
    Cell[85841, 2383, 2171, 52, 55, "Assumption",
      CellTags->"19"],
    Cell[139699, 4137, 1772, 48, 70, "Text",
      CellTags->"19"]},
  "20"->{
    Cell[88755, 2462, 4558, 113, 82, "Conclusion",
      CellTags->"20"],
    Cell[142046, 4206, 4088, 104, 70, "Text",
      CellTags->"20"]},
  "22"->{
    Cell[94156, 2602, 5091, 126, 82, "Conclusion",
      CellTags->"22"],
    Cell[148667, 4383, 4544, 116, 70, "Text",
      CellTags->"22"]},
  "21"->{
    Cell[103446, 2853, 2997, 78, 47, "Conclusion",
      CellTags->"21"],
    Cell[146137, 4312, 2527, 69, 70, "Text",
      CellTags->"21"]},
  "AdditionalInfo"->{
    Cell[107482, 2967, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (cont of product): c\[RawStar]", 199613, 5760},
  {"Definition (cont): c:", 199859, 5765},
  {"Definition (sum of functions): \[CirclePlus]:", 200091, 5770},
  {"Definition (product of functions): \[CirclePlus]:", 200374, 5775},
  {"Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]", 200692, 5781},
  {"Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]", 201103, 5791},
  {"Proposition (max): max:", 201483, 5800},
  {"Proposition (min): min:", 201697, 5805},
  {"Proposition (eps/2): e/2", 201912, 5810},
  {"Proposition (eps/ab): e/ab", 202131, 5815},
  {"2", 202329, 5820},
  {"3", 202475, 5825},
  {"1", 202621, 5830},
  {"4", 202767, 5835},
  {"5", 202915, 5840},
  {"6", 203064, 5845},
  {"7", 203213, 5850},
  {"8", 203362, 5855},
  {"9", 203511, 5860},
  {"10", 203661, 5865},
  {"11", 203813, 5870},
  {"12", 203965, 5875},
  {"13", 204117, 5880},
  {"14", 204269, 5885},
  {"15", 204421, 5890},
  {"16", 204573, 5895},
  {"17", 204725, 5900},
  {"18", 204951, 5907},
  {"19", 205103, 5912},
  {"20", 205255, 5917},
  {"22", 205409, 5922},
  {"21", 205563, 5927},
  {"AdditionalInfo", 205728, 5932}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 113, 2, 47, "ProofText"],
Cell[1892, 57, 806, 23, 47, "Conclusion",
  CellTags->"Proposition (cont of product): c\[RawStar]"],

Cell[CellGroupData[{
Cell[2723, 84, 129, 2, 47, "ProofText"],
Cell[2855, 88, 4424, 110, 58, "Assumption",
  CellTags->"Definition (cont): c:"],
Cell[7282, 200, 2539, 73, 57, "Assumption",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[9824, 275, 2552, 74, 57, "Assumption",
  CellTags->"Definition (product of functions): \[CirclePlus]:"],
Cell[12379, 351, 4167, 112, 57, "Assumption",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[16549, 465, 5154, 133, 93, "Assumption",
  CellTags->
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"],
Cell[21706, 600, 2499, 72, 57, "Assumption",
  CellTags->"Proposition (max): max:"],
Cell[24208, 674, 2470, 72, 57, "Assumption",
  CellTags->"Proposition (min): min:"],
Cell[26681, 748, 1385, 42, 55, "Assumption",
  CellTags->"Proposition (eps/2): e/2"],
Cell[28069, 792, 2183, 61, 56, "Assumption",
  CellTags->"Proposition (eps/ab): e/ab"]
}, Open  ]],
Cell[30267, 856, 470, 13, 47, "ProofText"],
Cell[30740, 871, 680, 21, 47, "Assumption",
  CellTags->"2"],
Cell[31423, 894, 680, 21, 47, "Assumption",
  CellTags->"3"],
Cell[32106, 917, 131, 2, 47, "ProofText"],
Cell[32240, 921, 696, 21, 47, "Conclusion",
  CellTags->"1"],
Cell[32939, 944, 1252, 41, 47, "ProofText"],
Cell[34194, 987, 3061, 80, 57, "Conclusion",
  CellTags->"4"],
Cell[37258, 1069, 3025, 80, 57, "Assumption",
  CellTags->"5"],
Cell[40286, 1151, 3025, 80, 57, "Assumption",
  CellTags->"6"],
Cell[43314, 1233, 1110, 33, 47, "ProofText"],
Cell[44427, 1268, 2662, 69, 57, "Conclusion",
  CellTags->"7"],
Cell[47092, 1339, 3118, 89, 55, "ProofText"],
Cell[50213, 1430, 3425, 86, 58, "Assumption",
  CellTags->"8"],
Cell[53641, 1518, 3425, 86, 58, "Assumption",
  CellTags->"9"],
Cell[57069, 1606, 1389, 43, 47, "ProofText"],
Cell[58461, 1651, 3130, 78, 58, "Assumption",
  CellTags->"10"],
Cell[61594, 1731, 3130, 78, 58, "Assumption",
  CellTags->"11"],
Cell[64727, 1811, 999, 28, 47, "ProofText"],
Cell[65729, 1841, 2732, 68, 57, "Conclusion",
  CellTags->"12"],
Cell[68464, 1911, 844, 24, 47, "ProofText"],
Cell[69311, 1937, 1608, 41, 47, "Assumption",
  CellTags->"13"],
Cell[70922, 1980, 167, 2, 47, "ProofText"],
Cell[71092, 1984, 1528, 37, 47, "Conclusion",
  CellTags->"14"],
Cell[72623, 2023, 1408, 41, 47, "ProofText"],
Cell[74034, 2066, 2808, 70, 55, "Assumption",
  CellTags->"15"],
Cell[76845, 2138, 2808, 70, 55, "Assumption",
  CellTags->"16"],

Cell[CellGroupData[{
Cell[79678, 2212, 470, 13, 47, "ProofText"],
Cell[80151, 2227, 2059, 51, 47, "Assumption",
  CellTags->"17"],
Cell[82213, 2280, 468, 13, 47, "ProofText"],
Cell[82684, 2295, 980, 32, 47, "ProofText"],
Cell[83667, 2329, 2171, 52, 55, "Assumption",
  CellTags->"18"],
Cell[85841, 2383, 2171, 52, 55, "Assumption",
  CellTags->"19"],
Cell[88015, 2437, 735, 22, 47, "ProofText"],
Cell[88755, 2462, 4558, 113, 82, "Conclusion",
  CellTags->"20"],
Cell[93316, 2577, 837, 23, 47, "ProofText"],
Cell[94156, 2602, 5091, 126, 82, "Conclusion",
  CellTags->"22"],
Cell[99250, 2730, 916, 25, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[100203, 2760, 446, 13, 47, "ProofText"],
Cell[100652, 2775, 2059, 51, 47, "Conclusion",
  CellTags->"17"],
Cell[102714, 2828, 727, 22, 47, "ProofText"],
Cell[103446, 2853, 2997, 78, 47, "Conclusion",
  CellTags->"21"],
Cell[106446, 2933, 802, 23, 47, "ProofText"]
}, Open  ]],
Cell[107263, 2959, 182, 3, 36, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[107482, 2967, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[107595, 2972, 36, 0, 70, "Subsection"],
Cell[107634, 2974, 51, 1, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[107722, 2980, 34, 0, 70, "Subsection"],
Cell[107759, 2982, 120, 7, 70, "Text"],
Cell[107882, 2991, 98, 4, 70, "Text"],
Cell[107983, 2997, 99, 4, 70, "Text"],
Cell[108085, 3003, 197, 9, 70, "Text"],
Cell[108285, 3014, 231, 9, 70, "Text"],
Cell[108519, 3025, 230, 9, 70, "Text"],
Cell[108752, 3036, 216, 9, 70, "Text"],
Cell[108971, 3047, 216, 9, 70, "Text"],
Cell[109190, 3058, 216, 9, 70, "Text"],
Cell[109409, 3069, 230, 9, 70, "Text"],
Cell[109642, 3080, 227, 9, 70, "Text"],
Cell[109872, 3091, 227, 9, 70, "Text"],
Cell[110102, 3102, 228, 9, 70, "Text"],
Cell[110333, 3113, 224, 9, 70, "Text"],
Cell[110560, 3124, 224, 9, 70, "Text"],
Cell[110787, 3135, 217, 9, 70, "Text"],
Cell[111007, 3146, 218, 9, 70, "Text"],
Cell[111228, 3157, 225, 9, 70, "Text"],
Cell[111456, 3168, 222, 9, 70, "Text"],
Cell[111681, 3179, 221, 9, 70, "Text"],
Cell[111905, 3190, 221, 9, 70, "Text"],
Cell[112129, 3201, 221, 9, 70, "Text"],
Cell[112353, 3212, 223, 9, 70, "Text"],
Cell[112579, 3223, 218, 9, 70, "Text"],
Cell[112800, 3234, 220, 9, 70, "Text"],
Cell[113023, 3245, 225, 9, 70, "Text"],
Cell[113251, 3256, 219, 9, 70, "Text"],
Cell[113473, 3267, 227, 9, 70, "Text"],
Cell[113703, 3278, 221, 9, 70, "Text"],
Cell[113927, 3289, 219, 9, 70, "Text"],
Cell[114149, 3300, 229, 9, 70, "Text"],
Cell[114381, 3311, 230, 9, 70, "Text"],
Cell[114614, 3322, 228, 9, 70, "Text"],
Cell[114845, 3333, 226, 9, 70, "Text"],
Cell[115074, 3344, 219, 9, 70, "Text"],
Cell[115296, 3355, 224, 9, 70, "Text"],
Cell[115523, 3366, 223, 9, 70, "Text"],
Cell[115749, 3377, 223, 9, 70, "Text"],
Cell[115975, 3388, 234, 9, 70, "Text"],
Cell[116212, 3399, 233, 9, 70, "Text"],
Cell[116448, 3410, 217, 9, 70, "Text"],
Cell[116668, 3421, 225, 9, 70, "Text"],
Cell[116896, 3432, 216, 9, 70, "Text"],
Cell[117115, 3443, 223, 9, 70, "Text"],
Cell[117341, 3454, 219, 9, 70, "Text"],
Cell[117563, 3465, 231, 9, 70, "Text"],
Cell[117797, 3476, 236, 9, 70, "Text"],
Cell[118036, 3487, 230, 9, 70, "Text"],
Cell[118269, 3498, 228, 9, 70, "Text"],
Cell[118500, 3509, 232, 9, 70, "Text"],
Cell[118735, 3520, 226, 9, 70, "Text"],
Cell[118964, 3531, 230, 9, 70, "Text"],
Cell[119197, 3542, 210, 9, 70, "Text"],
Cell[119410, 3553, 211, 9, 70, "Text"],
Cell[119624, 3564, 184, 9, 70, "Text"],
Cell[119811, 3575, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[120030, 3589, 56, 0, 70, "Subsection"],
Cell[120089, 3591, 585, 17, 70, "Text",
  CellTags->"1"],
Cell[120677, 3610, 2875, 74, 70, "Text",
  CellTags->"10"],
Cell[123555, 3686, 2875, 74, 70, "Text",
  CellTags->"11"],
Cell[126433, 3762, 2441, 64, 70, "Text",
  CellTags->"12"],
Cell[128877, 3828, 1281, 37, 70, "Text",
  CellTags->"13"],
Cell[130161, 3867, 1201, 33, 70, "Text",
  CellTags->"14"],
Cell[131365, 3902, 2445, 66, 70, "Text",
  CellTags->"15"],
Cell[133813, 3970, 2445, 66, 70, "Text",
  CellTags->"16"],
Cell[136261, 4038, 1660, 47, 70, "Text",
  CellTags->"17"],
Cell[137924, 4087, 1772, 48, 70, "Text",
  CellTags->"18"],
Cell[139699, 4137, 1772, 48, 70, "Text",
  CellTags->"19"],
Cell[141474, 4187, 569, 17, 70, "Text",
  CellTags->"2"],
Cell[142046, 4206, 4088, 104, 70, "Text",
  CellTags->"20"],
Cell[146137, 4312, 2527, 69, 70, "Text",
  CellTags->"21"],
Cell[148667, 4383, 4544, 116, 70, "Text",
  CellTags->"22"],
Cell[153214, 4501, 569, 17, 70, "Text",
  CellTags->"3"],
Cell[153786, 4520, 2914, 76, 70, "Text",
  CellTags->"4"],
Cell[156703, 4598, 2878, 76, 70, "Text",
  CellTags->"5"],
Cell[159584, 4676, 2878, 76, 70, "Text",
  CellTags->"6"],
Cell[162465, 4754, 2479, 65, 70, "Text",
  CellTags->"7"],
Cell[164947, 4821, 3201, 81, 70, "Text",
  CellTags->"8"],
Cell[168151, 4904, 3201, 81, 70, "Text",
  CellTags->"9"],
Cell[171355, 4987, 4351, 106, 70, "Text",
  CellTags->"Definition (cont): c:"],
Cell[175709, 5095, 2479, 70, 70, "Text",
  CellTags->"Definition (product of functions): \[CirclePlus]:"],
Cell[178191, 5167, 2466, 69, 70, "Text",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[180660, 5238, 733, 19, 70, "Text",
  CellTags->"Proposition (cont of product): c\[RawStar]"],
Cell[181396, 5259, 5081, 129, 70, "Text",
  CellTags->
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"],
Cell[186480, 5390, 4094, 108, 70, "Text",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[190577, 5500, 1307, 37, 70, "Text",
  CellTags->"Proposition (eps/2): e/2"],
Cell[191887, 5539, 2110, 57, 70, "Text",
  CellTags->"Proposition (eps/ab): e/ab"],
Cell[194000, 5598, 2426, 68, 70, "Text",
  CellTags->"Proposition (max): max:"],
Cell[196429, 5668, 2397, 68, 70, "Text",
  CellTags->"Proposition (min): min:"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

