(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    245523,       7009]*)
(*NotebookOutlinePosition[    255739,       7316]*)
(*  CellTagsIndexPosition[    254194,       7264]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (unif-cont of sum): c+)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (unif-cont of sum): c+"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      \(ucont[f\_1] \[And] ucont[f\_2] \[Implies] 
        ucont[f\_1\[CirclePlus]f\_2]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (unif-cont of sum): c+"],

Cell[CellGroupData[{

Cell["under the assumptions:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Definition (unif-cont): u:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (unif-cont): u:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"ucont", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ">", "0"}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                      RowBox[{
                        StyleBox["\[Delta]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], " "}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{"0", "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[And]", 
                        RowBox[{
                          UnderscriptBox["\[ForAll]", 
                            RowBox[{
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], ",", 
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]], 
                          RowBox[{"(", 
                            RowBox[{
                              RowBox[{
                                RowBox[{"\[LeftBracketingBar]", 
                                  RowBox[{
                                    StyleBox["y",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "-", 
                                    StyleBox["x",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}], 
                                  "\[RightBracketingBar]"}], "<", 
                                StyleBox["\[Delta]",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}], "\[Implies]", 
                              RowBox[{
                                RowBox[{"\[LeftBracketingBar]", 
                                  RowBox[{
                                    RowBox[{
                                      StyleBox["f",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "[", 
                                      StyleBox["y",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "]"}], "-", 
                                    RowBox[{
                                      StyleBox["f",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "[", 
                                      StyleBox["x",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "]"}]}], 
                                  "\[RightBracketingBar]"}], "<", 
                                StyleBox["\[Epsilon]",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}]}], ")"}]}]}], ")"}]}]}],
                 ")"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Definition (unif-cont): u:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Definition (product of functions): \
\[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (product of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CircleDot]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "*", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Definition (product of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (distance of product): \
\[LeftBracketingBar]**\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}], 
              "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}]}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->
  "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (max): max:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (max): max:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (max): max:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (min): min:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (min): min:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (min): min:"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (eps/2): e/2)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/2): e/2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ">", "0"}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[",", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (eps/2): e/2"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{}],
  Cell[TextData[ButtonBox["(Proposition (eps/ab): e/ab)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/ab): e/ab"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}]}]], ">", 
              "0"}]}], ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
    TaggingRules:>{}],
  Cell[".", "ProofText",
    TaggingRules:>{}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TaggingRules:>{},
  CellTags->"Proposition (eps/ab): e/ab"]
}, Open  ]],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (unif-cont of sum): c+",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (unif-cont of sum): c+"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1}],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1}],
  Cell[BoxData[
      \(ucont[f\_1]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1},
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1}],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1}],
  Cell[BoxData[
      \(ucont[f\_2]\)], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1},
  CellTags->"3"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1}],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1}],
  Cell[BoxData[
      \(ucont[f\_1\[CirclePlus]f\_2]\)], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1},
  CellTags->"1"],

Cell[TextData[{
  "Using the definition ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (unif-cont): u:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (unif-cont): u:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we expand the goal ",
  StyleBox["(", "Label"],
  ButtonBox["1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["3",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "3"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"0", "<", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "-", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], ")"}]}]}], 
          ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1},
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"0", "<", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "-", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{\(f\_1\), "[", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              RowBox[{\(f\_1\), "[", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], ")"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1},
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"0", "<", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "-", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{\(f\_2\), "[", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              RowBox[{\(f\_2\), "[", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], ")"}]}]}], 
          ")"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1},
  CellTags->"6"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["4",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "4"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(\[Epsilon]\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1},
  CellTags->"7"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "<", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "-", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[RightBracketingBar]"}], "<",
                     
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "-", 
                        RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}]}], 
                      "\[RightBracketingBar]"}], "<", 
                    StyleBox[\(\[Epsilon]\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], 
    "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1},
  CellTags->"8"],

Cell[TextData[{
  "By instantiating ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["5",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "5"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["6",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "6"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " with ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "2"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      FractionBox[
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], "2"]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", respectively, we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"0", "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "-", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Delta]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], 
                        "\[RightBracketingBar]"}], "<", 
                      FractionBox[
                        StyleBox[\(\[Epsilon]\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"0", "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "-", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Delta]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], 
                        "\[RightBracketingBar]"}], "<", 
                      FractionBox[
                        StyleBox[\(\[Epsilon]\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}]}], ")"}]}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"10"],

Cell[CellGroupData[{

Cell[TextData[{
  "First we assume ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " (to be proven later):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[And]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"11"],

Cell[TextData[{
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["9",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "9"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["10",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "10"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "<", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "-", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[RightBracketingBar]"}], "<",
                     
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        RowBox[{\(f\_1\), "[", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "-", 
                        RowBox[{\(f\_1\), "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}]}], 
                      "\[RightBracketingBar]"}], "<", 
                    FractionBox[
                      StyleBox[\(\[Epsilon]\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "<", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "-", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[RightBracketingBar]"}], "<",
                     
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        RowBox[{\(f\_2\), "[", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "-", 
                        RowBox[{\(f\_2\), "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}]}], 
                      "\[RightBracketingBar]"}], "<", 
                    FractionBox[
                      StyleBox[\(\[Epsilon]\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}]}]}], ")"}]}]], 
    "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"13"],

Cell[TextData[{
  "By ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["12",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "12"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["13",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "13"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we can take appropriate constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(\[Delta]\_1\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(\[Delta]\_2\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  " such that:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Delta]\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Delta]\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"17"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["8",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "8"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by using the witness ",
  Cell[BoxData[
      RowBox[{"min", "[", 
        RowBox[{
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ",", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "]"}]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  " it suffices to prove:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                RowBox[{"min", "[", 
                  RowBox[{
                    StyleBox[\(\[Delta]\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(\[Delta]\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"15"],

Cell[CellGroupData[{

Cell[TextData[{
  "We prove first ",
  StyleBox["(", "Label"],
  ButtonBox["15.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(15.2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15.2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox[\(\[Delta]\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Delta]\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"15.2"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["15.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", we replace the universal variables by arbitrary constants ",
  "(",
  Cell[BoxData[
      StyleBox[\(x\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(y\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1},
    FontColor->RGBColor[0, 0.500008, 0]],
  ")",
  ", we assume:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],\


Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "-", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], "<", 
        RowBox[{"min", "[", 
          RowBox[{
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"19"],

Cell["and we prove:", "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}],\


Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 
      1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"20"],

Cell[TextData[{
  "By instantiating ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["16.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["17.2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "17.2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " with ",
  Cell[BoxData[
      StyleBox[\(x\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(y\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(x\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", ",
  Cell[BoxData[
      StyleBox[\(y\_0\),
        FontWeight->"Plain",
        FontSlant->"Italic",
        Background->None]], "Expression",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1},
    FontColor->RGBColor[0.8, 0, 0]],
  ", respectively, we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1},
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1},
  CellTags->"22"],

Cell[CellGroupData[{

Cell[TextData[{
  "First we assume ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " (to be proven later):"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(23)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "23"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[",", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1},
  CellTags->"23"],

Cell[TextData[{
  " and we continue with the proof of ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1}],

Cell[TextData[{
  "From ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  "the assumptions ",
  StyleBox["(", "Label"],
  ButtonBox["21",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "21"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " and ",
  StyleBox["(", "Label"],
  ButtonBox["22",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "22"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " we obtain:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(24)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "24"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1},
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Assumption",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}],
  Cell[" ", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1}]
}], "Assumption",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1},
  CellTags->"25"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["20",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "20"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["24, 25",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "24, 25"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(26)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "26"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1, 2, 1},
  CellTags->"26"],

Cell[TextData[{
  "Using ",
  StyleBox["(", "Label"],
  ButtonBox["Definition (sum of functions): \[CirclePlus]:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Definition (sum of functions): \[CirclePlus]:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", the goal ",
  StyleBox["(", "Label"],
  ButtonBox["26",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "26"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is transformed into:"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1, 2, 1, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[TextData[ButtonBox["(28)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "28"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(y\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(y\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], "-", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}]}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 1, 2, 1, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1, 2, 1, 2, 1},
  CellTags->"28"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["28",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "28"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 2}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2}],
  Cell[TextData[ButtonBox["(23)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "23"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 2},
  CellTags->"23"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["23",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "23"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["19",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "19"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 2, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2, 2, 1}],
  Cell[TextData[ButtonBox["(27)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "27"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,
       2, 1, 2, 2, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 2, 2, 1},
  CellTags->"27"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["27",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "27"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (min): min:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (min): min:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 
    2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["15.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[TextData[ButtonBox["(15.1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15.1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[BoxData[
      RowBox[{"0", "<", 
        RowBox[{"min", "[", 
          RowBox[{
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2},
  CellTags->"15.1"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["15.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "15.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["16.1, 17.1",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "16.1, 17.1"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1}],\


Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"0", "<", 
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{"0", "<", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[Implies]", 
        RowBox[{"0", "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 
      1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1},
  CellTags->"18"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["18",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "18"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (min): min:",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (min): min:"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 
    2, 1, 2, 1, 2, 1}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
  "Now we prove ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ":"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[And]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2},
  CellTags->"11"],

Cell[TextData[{
  "For proving ",
  StyleBox["(", "Label"],
  ButtonBox["11",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "11"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", by ",
  StyleBox["(", "Label"],
  ButtonBox["7",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "7"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  ", it suffices to prove"
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1}],

Cell[TextData[{
  Cell["", "Indent",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1}],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1},
    LineBreakWithin->False],
  Cell["", "Blank",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1}],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], "\[Implies]", 
        RowBox[{
          RowBox[{
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ">", "0"}], "\[And]", 
          RowBox[{
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ">", "0"}]}]}]], "Conclusion",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1}],
  Cell[".", "ProofText",
    TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1}]
}], "Conclusion",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1},
  CellTags->"14"],

Cell[TextData[{
  "Formula ",
  StyleBox["(", "Label"],
  ButtonBox["14",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "14"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  " is proved because it is an instance of ",
  StyleBox["(", "Label"],
  ButtonBox["Proposition (eps/2): e/2",
    ButtonFunction:>(
      Theorema`Provers`Common`BasicProofCells`Private`ExtractTaggedCell[ 
      "Proposition (eps/2): e/2"]&),
    ButtonEvaluator->Automatic,
    ButtonStyle->"Hyperlink"],
  StyleBox[")", "Label"],
  "."
}], "ProofText",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  TaggingRules:>{2, 1, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 2, 1, 2, 1, 2, 1}]
}, Open  ]],

Cell["\[EmptySquare]", "ProofText",
  CellMargins->{{Inherited, Inherited}, {Inherited, 0}},
  CellBracketOptions->{"Color"->RGBColor[0.643137, 0.756863, 1]},
  TextAlignment->Right]
}, Open  ]],

Cell[CellGroupData[{

Cell["Additional Proof Generation Information", "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{

Cell["The Proof Call", "Subsection"],

Cell[BoxData[
    \(Show[TransMeta[%]]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Version Info", "Subsection"],

Cell[TextData[{
  StyleBox["THEOREMA Version: ",
    FontWeight->"Bold"],
  "1",
  ".",
  "4",
  "\[Alpha]2"
}], "Text"],

Cell[TextData[{
  StyleBox["License Number: ",
    FontWeight->"Bold"],
  "D11A-00017"
}], "Text"],

Cell[TextData[{
  StyleBox["Expiration Date: ",
    FontWeight->"Bold"],
  "2006/12/31"
}], "Text"],

Cell[TextData[{
  StyleBox["Theorema`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2004/12/09 09:28:29 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`Common`SessionHandling`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/07/21 10:15:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Evaluators`ComputationalSession`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/02/21 14:51:47 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 2004/12/09 10:00:12 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`LookupTable`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`General`TmaException`: ",
    FontWeight->"Bold"],
  "Revision: 1.4 ",
  ", ",
  "Date: 1999/12/03 15:52:48 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`General`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.57 ",
  ", ",
  "Date: 2003/08/21 08:55:15 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2003/02/21 15:00:22 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.6 ",
  ", ",
  "Date: 2000/02/09 12:04:10 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Semantics`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2004/11/30 13:04:38 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Connective`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/07/02 13:34:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Container`: ",
    FontWeight->"Bold"],
  "Revision: 1.24 ",
  ", ",
  "Date: 1999/05/27 15:45:19 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Core`: ",
    FontWeight->"Bold"],
  "Revision: 1.85 ",
  ", ",
  "Date: 2001/12/06 10:10:51 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Domain`: ",
    FontWeight->"Bold"],
  "Revision: 1.3 ",
  ", ",
  "Date: 2003/03/04 08:37:35 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`FormalText`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2000/07/20 13:24:45 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Functor`: ",
    FontWeight->"Bold"],
  "Revision: 1.15 ",
  ", ",
  "Date: 2000/02/18 15:13:01 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Number`: ",
    FontWeight->"Bold"],
  "Revision: 1.25 ",
  ", ",
  "Date: 2004/12/27 16:24:21 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Operator`: ",
    FontWeight->"Bold"],
  "Revision: 1.26 ",
  ", ",
  "Date: 2003/03/12 09:13:52 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Parser`: ",
    FontWeight->"Bold"],
  "Revision: 1.69 ",
  ", ",
  "Date: 2004/08/09 08:57:12 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Quantifier`: ",
    FontWeight->"Bold"],
  "Revision: 1.35 ",
  ", ",
  "Date: 2003/03/04 08:41:08 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Set`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 2000/08/25 16:43:00 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`Tuple`: ",
    FontWeight->"Bold"],
  "Revision: 1.20 ",
  ", ",
  "Date: 2003/05/22 08:33:18 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Language`Syntax`UserLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.32 ",
  ", ",
  "Date: 2003/03/04 08:42:36 ",
  ", ",
  "Last modified by: marcus "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 1999/07/23 13:28:33 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.27 ",
  ", ",
  "Date: 1999/07/07 10:50:37 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.13 ",
  ", ",
  "Date: 2000/01/25 15:47:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`ByDef`Prover`: ",
    FontWeight->"Bold"],
  "Revision: 1.39 ",
  ", ",
  "Date: 2000/10/20 09:32:04 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`BasicProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.28 ",
  ", ",
  "Date: 2003/09/05 13:26:11 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ConstraintLanguage`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 1999/09/30 11:27:14 ",
  ", ",
  "Last modified by: dvasaru "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`HandleFormulae`: ",
    FontWeight->"Bold"],
  "Revision: 1.37 ",
  ", ",
  "Date: 2004/01/26 11:45:07 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2004/11/30 13:35:21 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.9 ",
  ", ",
  "Date: 2003/03/28 15:35:36 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCells`: ",
    FontWeight->"Bold"],
  "Revision: 1.44 ",
  ", ",
  "Date: 2004/12/03 13:30:31 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofCellsFW`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2003/06/18 15:35:43 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObject`: ",
    FontWeight->"Bold"],
  "Revision: 1.33 ",
  ", ",
  "Date: 2004/11/30 13:10:05 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectInterface`: ",
    FontWeight->"Bold"],
  "Revision: 1.14 ",
  ", ",
  "Date: 2000/08/02 09:03:58 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Common`ProofObjectManagement`: ",
    FontWeight->"Bold"],
  "Revision: 1.54 ",
  ", ",
  "Date: 2004/11/30 13:10:51 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.2 ",
  ", ",
  "Date: 2000/06/01 00:03:05 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`HandleConstraints`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:55:09 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:14 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`MetaUnification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 12:56:40 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PLM`Unification`: ",
    FontWeight->"Bold"],
  "Revision: 1.1 ",
  ", ",
  "Date: 2000/05/24 14:26:18 ",
  ", ",
  "Last modified by: bkonev "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.11 ",
  ", ",
  "Date: 2004/01/26 11:46:09 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.23 ",
  ", ",
  "Date: 2001/08/31 16:22:41 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`PredicateLogic`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/03/31 15:40:36 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Auxiliary`: ",
    FontWeight->"Bold"],
  "Revision: 1.10 ",
  ", ",
  "Date: 2001/11/19 12:13:35 ",
  ", ",
  "Last modified by: npopov "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Header`English`: ",
    FontWeight->"Bold"],
  "Revision: 1.7 ",
  ", ",
  "Date: 2000/10/06 11:29:40 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`Propositional`Keywords`: ",
    FontWeight->"Bold"],
  "Revision: 1.5 ",
  ", ",
  "Date: 2000/10/06 12:52:45 ",
  ", ",
  "Last modified by: fpiroi "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`Provers`UserProvers`ProverByDef`: ",
    FontWeight->"Bold"],
  "Revision: 1.12 ",
  ", ",
  "Date: 2000/10/20 09:30:52 ",
  ", ",
  "Last modified by: tjebelea "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Debug`: ",
    FontWeight->"Bold"],
  "Revision: 1.8 ",
  ", ",
  "Date: 1999/01/14 15:24:33 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`System`Trace`: ",
    FontWeight->"Bold"],
  "Revision: 1.16 ",
  ", ",
  "Date: 2001/02/06 12:12:48 ",
  ", ",
  "Last modified by: wwindste "
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Theorema`User`Preferences`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True],

Cell[TextData[{
  StyleBox["Utilities`FilterOptions`: ",
    FontWeight->"Bold"],
  "Revision: ?",
  ", ",
  "Date: ?",
  ", ",
  "Last modified by: ?"
}], "Text",
  CellFrame->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Formulae Occuring during the Proof", "Subsection"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(ucont[f\_1\[CirclePlus]f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(10)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "10"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"0", "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "-", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Delta]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          RowBox[{\(f\_2\), "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], 
                        "\[RightBracketingBar]"}], "<", 
                      FractionBox[
                        StyleBox[\(\[Epsilon]\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"10"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(11)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "11"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[And]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"11"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(12)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "12"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "<", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "-", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[RightBracketingBar]"}], "<",
                     
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        RowBox[{\(f\_1\), "[", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "-", 
                        RowBox[{\(f\_1\), "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}]}], 
                      "\[RightBracketingBar]"}], "<", 
                    FractionBox[
                      StyleBox[\(\[Epsilon]\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"12"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(13)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "13"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "<", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "-", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[RightBracketingBar]"}], "<",
                     
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        RowBox[{\(f\_2\), "[", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "-", 
                        RowBox[{\(f\_2\), "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}]}], 
                      "\[RightBracketingBar]"}], "<", 
                    FractionBox[
                      StyleBox[\(\[Epsilon]\_0\),
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "2"]}]}], ")"}]}]}], ")"}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"13"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], "\[Implies]", 
        RowBox[{
          RowBox[{
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ">", "0"}], "\[And]", 
          RowBox[{
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"], ">", "0"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(14)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "14"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], ">", "0"}], "\[Implies]", 
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"14"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                RowBox[{"min", "[", 
                  RowBox[{
                    StyleBox[\(\[Delta]\_1\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox[\(\[Delta]\_2\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "]"}]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15.1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15.1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"0", "<", 
        RowBox[{"min", "[", 
          RowBox[{
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15.1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(15.2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "15.2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox[\(\[Delta]\_1\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox[\(\[Delta]\_2\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"15.2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Delta]\_1\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_1\), "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16.1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16.1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"0", "<", 
        StyleBox[\(\[Delta]\_1\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(16.2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "16.2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\(f\_1\), "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              FractionBox[
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"16.2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"0", "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          UnderscriptBox["\[ForAll]", 
            RowBox[{
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox["y",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                StyleBox[\(\[Delta]\_2\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[Implies]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}], "-", 
                    RowBox[{\(f\_2\), "[", 
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "]"}]}], "\[RightBracketingBar]"}],
                 "<", 
                FractionBox[
                  StyleBox[\(\[Epsilon]\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], ")"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17.1)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17.1"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{"0", "<", 
        StyleBox[\(\[Delta]\_2\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17.1"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(17.2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "17.2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "-", 
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "\[RightBracketingBar]"}], "<", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "-", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], "\[RightBracketingBar]"}], 
              "<", 
              FractionBox[
                StyleBox[\(\[Epsilon]\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"17.2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(18)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "18"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"0", "<", 
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{"0", "<", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}], "\[Implies]", 
        RowBox[{"0", "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"18"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(19)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "19"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            StyleBox[\(y\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "-", 
            StyleBox[\(x\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[RightBracketingBar]"}], "<", 
        RowBox[{"min", "[", 
          RowBox[{
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "]"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"19"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(2)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(ucont[f\_1]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(20)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "20"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"20"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(21)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "21"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_1\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"21"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(22)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "22"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\(f\_2\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"22"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(23)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "23"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_1\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}], "\[And]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Delta]\_2\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"23"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(24)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "24"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_1\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"24"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(25)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "25"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{"\[LeftBracketingBar]", 
          RowBox[{
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], "-", 
            RowBox[{\(f\_2\), "[", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
        FractionBox[
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None], "2"]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"25"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(26)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "26"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "-", 
              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}], "\[RightBracketingBar]"}], "<", 
          
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"26"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(27)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "27"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              StyleBox[\(y\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "-", 
              StyleBox[\(x\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[RightBracketingBar]"}], "<", 
          RowBox[{"min", "[", 
            RowBox[{
              StyleBox[\(\[Delta]\_1\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ",", 
              StyleBox[\(\[Delta]\_2\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "]"}]}], "\[Implies]", 
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_1\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                StyleBox[\(y\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "-", 
                StyleBox[\(x\_0\),
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[RightBracketingBar]"}], "<", 
            StyleBox[\(\[Delta]\_2\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"27"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(28)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "28"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_1\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}], "\[And]", 
          RowBox[{
            RowBox[{"\[LeftBracketingBar]", 
              RowBox[{
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(y\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}], "-", 
                RowBox[{\(f\_2\), "[", 
                  StyleBox[\(x\_0\),
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "]"}]}], "\[RightBracketingBar]"}], 
            "<", 
            FractionBox[
              StyleBox[\(\[Epsilon]\_0\),
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "2"]}]}], "\[Implies]", 
        RowBox[{
          RowBox[{"\[LeftBracketingBar]", 
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(y\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(y\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}], "-", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{\(f\_1\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}], "+", 
                  RowBox[{\(f\_2\), "[", 
                    StyleBox[\(x\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "]"}]}], ")"}]}], 
            "\[RightBracketingBar]"}], "<", 
          StyleBox[\(\[Epsilon]\_0\),
            FontWeight->"Plain",
            FontSlant->"Italic",
            Background->None]}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"28"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(3)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "3"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(ucont[f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"3"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(4)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "4"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"0", "<", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "-", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], ")"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"4"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(5)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "5"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"0", "<", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "-", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{\(f\_1\), "[", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              RowBox[{\(f\_1\), "[", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], ")"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"5"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(6)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "6"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              UnderscriptBox["\[Exists]", 
                RowBox[{
                  StyleBox["\[Delta]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{"0", "<", 
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[And]", 
                  RowBox[{
                    UnderscriptBox["\[ForAll]", 
                      RowBox[{
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], ",", 
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], "-", 
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[Implies]", 
                        RowBox[{
                          RowBox[{"\[LeftBracketingBar]", 
                            RowBox[{
                              RowBox[{\(f\_2\), "[", 
                                StyleBox["y",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}], "-", 
                              RowBox[{\(f\_2\), "[", 
                                StyleBox["x",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None], "]"}]}], 
                            "\[RightBracketingBar]"}], "<", 
                          StyleBox["\[Epsilon]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}]}], ")"}]}]}], ")"}]}]}], 
          ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"6"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(7)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "7"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        StyleBox[\(\[Epsilon]\_0\),
          FontWeight->"Plain",
          FontSlant->"Italic",
          Background->None], ">", "0"}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"7"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(8)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "8"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[Exists]", 
          RowBox[{
            StyleBox["\[Delta]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"0", "<", 
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}], "\[And]", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["x",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["y",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        StyleBox["y",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "-", 
                        StyleBox["x",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None]}], "\[RightBracketingBar]"}], "<",
                     
                    StyleBox["\[Delta]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[Implies]", 
                  RowBox[{
                    RowBox[{"\[LeftBracketingBar]", 
                      RowBox[{
                        RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}], "-", 
                        RowBox[{\((f\_1\[CirclePlus]f\_2)\), "[", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "]"}]}], 
                      "\[RightBracketingBar]"}], "<", 
                    StyleBox[\(\[Epsilon]\_0\),
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"8"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(9)",
    ButtonFunction:>FocusWindows[ $TmaReturnedObject, "9"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        RowBox[{
          FractionBox[
            StyleBox[\(\[Epsilon]\_0\),
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], "2"], ">", "0"}], "\[Implies]", 
        RowBox[{
          UnderscriptBox["\[Exists]", 
            RowBox[{
              StyleBox["\[Delta]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], " "}]], 
          RowBox[{"(", 
            RowBox[{
              RowBox[{"0", "<", 
                StyleBox["\[Delta]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                UnderscriptBox["\[ForAll]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ",", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]], 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          StyleBox["y",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None], "-", 
                          StyleBox["x",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[RightBracketingBar]"}], 
                      "<", 
                      StyleBox["\[Delta]",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], "\[Implies]", 
                    RowBox[{
                      RowBox[{"\[LeftBracketingBar]", 
                        RowBox[{
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["y",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}], "-", 
                          RowBox[{\(f\_1\), "[", 
                            StyleBox["x",
                              FontWeight->"Plain",
                              FontSlant->"Italic",
                              Background->None], "]"}]}], 
                        "\[RightBracketingBar]"}], "<", 
                      FractionBox[
                        StyleBox[\(\[Epsilon]\_0\),
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], "2"]}]}], ")"}]}]}], ")"}]}]}]], 
    "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"9"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (product of functions): \
\[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (product of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CircleDot]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "*", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (product of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (sum of functions): \[CirclePlus]:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Definition (sum of functions): \[CirclePlus]:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["g",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{
                  StyleBox["f",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "\[CirclePlus]", 
                  StyleBox["g",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], ")"}], "[", 
              StyleBox["x",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], ":=", 
            RowBox[{
              RowBox[{
                StyleBox["f",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}], "+", 
              RowBox[{
                StyleBox["g",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "[", 
                StyleBox["x",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "]"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Definition (unif-cont): u:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Definition (unif-cont): u:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["f",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"ucont", "[", 
              StyleBox["f",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "]"}], 
            
            InterpretationBox[\(\(:\)\(\[NegativeThickSpace]\
\[NegativeThinSpace]\)\(\[DoubleLeftRightArrow]\)\),
              IffByDef,
              SyntaxForm->":="], "  ", 
            RowBox[{
              UnderscriptBox["\[ForAll]", 
                RowBox[{
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], " "}]], 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    StyleBox["\[Epsilon]",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], ">", "0"}], "\[Implies]", 
                  RowBox[{
                    UnderscriptBox["\[Exists]", 
                      RowBox[{
                        StyleBox["\[Delta]",
                          FontWeight->"Plain",
                          FontSlant->"Italic",
                          Background->None], " "}]], 
                    RowBox[{"(", 
                      RowBox[{
                        RowBox[{"0", "<", 
                          StyleBox["\[Delta]",
                            FontWeight->"Plain",
                            FontSlant->"Italic",
                            Background->None]}], "\[And]", 
                        RowBox[{
                          UnderscriptBox["\[ForAll]", 
                            RowBox[{
                              StyleBox["x",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None], ",", 
                              StyleBox["y",
                                FontWeight->"Plain",
                                FontSlant->"Italic",
                                Background->None]}]], 
                          RowBox[{"(", 
                            RowBox[{
                              RowBox[{
                                RowBox[{"\[LeftBracketingBar]", 
                                  RowBox[{
                                    StyleBox["y",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None], "-", 
                                    StyleBox["x",
                                      FontWeight->"Plain",
                                      FontSlant->"Italic",
                                      Background->None]}], 
                                  "\[RightBracketingBar]"}], "<", 
                                StyleBox["\[Delta]",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}], "\[Implies]", 
                              RowBox[{
                                RowBox[{"\[LeftBracketingBar]", 
                                  RowBox[{
                                    RowBox[{
                                      StyleBox["f",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "[", 
                                      StyleBox["y",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "]"}], "-", 
                                    RowBox[{
                                      StyleBox["f",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "[", 
                                      StyleBox["x",
                                        FontWeight->"Plain",
                                        FontSlant->"Italic",
                                        Background->None], "]"}]}], 
                                  "\[RightBracketingBar]"}], "<", 
                                StyleBox["\[Epsilon]",
                                  FontWeight->"Plain",
                                  FontSlant->"Italic",
                                  Background->None]}]}], ")"}]}]}], ")"}]}]}],
                 ")"}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Definition (unif-cont): u:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (distance of product): \
\[LeftBracketingBar]**\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}], 
              "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], 
                  RowBox[{"1", "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}], "+", 
                    RowBox[{"\[LeftBracketingBar]", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "\[RightBracketingBar]"}]}]]}]}], 
            "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "-", 
                  RowBox[{
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "*", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}]}], "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->
  "Proposition (distance of product): \[LeftBracketingBar]**\
\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar])",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, 
        "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["x",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["y",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["x",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}], "\[And]", 
              RowBox[{
                RowBox[{"\[LeftBracketingBar]", 
                  RowBox[{
                    StyleBox["y",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "-", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None]}], "\[RightBracketingBar]"}], "<", 
                FractionBox[
                  StyleBox["\[Epsilon]",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], "2"]}]}], "\[Implies]", 
            RowBox[{
              RowBox[{"\[LeftBracketingBar]", 
                RowBox[{
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["x",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["y",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}], "-", 
                  RowBox[{"(", 
                    RowBox[{
                      StyleBox["a",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None], "+", 
                      StyleBox["b",
                        FontWeight->"Plain",
                        FontSlant->"Italic",
                        Background->None]}], ")"}]}], 
                "\[RightBracketingBar]"}], "<", 
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (eps/2): e/2)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/2): e/2"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], " "}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "2"], ">", "0"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (eps/2): e/2"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (eps/ab): e/ab)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (eps/ab): e/ab"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["a",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["b",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["\[Epsilon]",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["\[Epsilon]",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], ">", "0"}], "\[Implies]", 
            RowBox[{
              FractionBox[
                StyleBox["\[Epsilon]",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], 
                RowBox[{"1", "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["a",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}], "+", 
                  RowBox[{"\[LeftBracketingBar]", 
                    StyleBox["b",
                      FontWeight->"Plain",
                      FontSlant->"Italic",
                      Background->None], "\[RightBracketingBar]"}]}]], ">", 
              "0"}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (eps/ab): e/ab"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (max): max:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (max): max:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "\[GreaterEqual]", 
              RowBox[{"max", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[Implies]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "\[GreaterEqual]", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (max): max:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (min): min:)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (min): min:"],
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      RowBox[{
        UnderscriptBox["\[ForAll]", 
          RowBox[{
            StyleBox["i",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["j",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None], ",", 
            StyleBox["k",
              FontWeight->"Plain",
              FontSlant->"Italic",
              Background->None]}]], 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              StyleBox["k",
                FontWeight->"Plain",
                FontSlant->"Italic",
                Background->None], "<", 
              RowBox[{"min", "[", 
                RowBox[{
                  StyleBox["i",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None], ",", 
                  StyleBox["j",
                    FontWeight->"Plain",
                    FontSlant->"Italic",
                    Background->None]}], "]"}]}], "\[DoubleLeftRightArrow]", 
            RowBox[{
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["i",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}], "\[And]", 
              RowBox[{
                StyleBox["k",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None], "<", 
                StyleBox["j",
                  FontWeight->"Plain",
                  FontSlant->"Italic",
                  Background->None]}]}]}], ")"}]}]], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (min): min:"],

Cell[TextData[{
  Cell["", "Indent"],
  Cell[TextData[ButtonBox["(Proposition (unif-cont of sum): c+)",
    ButtonFunction:>
      FocusWindows[ $TmaReturnedObject, "Proposition (unif-cont of sum): c+"],
    
    ButtonEvaluator->Automatic,
    Active->True,
    ButtonStyle->None]], "Label",
    LineBreakWithin->False],
  Cell["", "Blank"],
  Cell[BoxData[
      \(ucont[f\_1] \[And] ucont[f\_2] \[Implies] 
        ucont[f\_1\[CirclePlus]f\_2]\)], "Text",
    CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
    FontColor->GrayLevel[0]],
  Cell["", "ProofText"]
}], "Text",
  CellBracketOptions->{"Color"->RGBColor[0.705882, 0.054902, 0.611765]},
  FontColor->GrayLevel[0],
  CellTags->"Proposition (unif-cont of sum): c+"]
}, Closed]]
}, Closed]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
ScreenStyleEnvironment->"Working",
CellGrouping->Manual,
WindowSize->{1016, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
Magnification->1.5,
StyleDefinitions -> "TheoremaProof.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "Proposition (unif-cont of sum): c+"->{
    Cell[1892, 57, 822, 24, 47, "Conclusion",
      CellTags->"Proposition (unif-cont of sum): c+"],
    Cell[244746, 6985, 749, 20, 70, "Text",
      CellTags->"Proposition (unif-cont of sum): c+"]},
  "Definition (unif-cont): u:"->{
    Cell[2871, 89, 5546, 124, 95, "Assumption",
      CellTags->"Definition (unif-cont): u:"],
    Cell[221837, 6384, 5473, 120, 70, "Text",
      CellTags->"Definition (unif-cont): u:"]},
  "Definition (sum of functions): \[CirclePlus]:"->{
    Cell[8420, 215, 2539, 73, 57, "Assumption",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"],
    Cell[219368, 6313, 2466, 69, 70, "Text",
      CellTags->"Definition (sum of functions): \[CirclePlus]:"]},
  "Definition (product of functions): \[CirclePlus]:"->{
    Cell[10962, 290, 2552, 74, 57, "Assumption",
      CellTags->"Definition (product of functions): \[CirclePlus]:"],
    Cell[216886, 6241, 2479, 70, 70, "Text",
      CellTags->"Definition (product of functions): \[CirclePlus]:"]},
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"->{
    Cell[13517, 366, 4167, 112, 57, "Assumption",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"],
    Cell[232397, 6637, 4094, 108, 70, "Text",
      CellTags->
      "Proposition (distance of sum): \[LeftBracketingBar]++\
\[RightBracketingBar]"]},
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"->{
    Cell[17687, 480, 5154, 133, 93, "Assumption",
      CellTags->
      "Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]"],
    Cell[227313, 6506, 5081, 129, 70, "Text",
      CellTags->
      "Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]"]},
  "Proposition (max): max:"->{
    Cell[22844, 615, 2499, 72, 57, "Assumption",
      CellTags->"Proposition (max): max:"],
    Cell[239917, 6845, 2426, 68, 70, "Text",
      CellTags->"Proposition (max): max:"]},
  "Proposition (min): min:"->{
    Cell[25346, 689, 2470, 72, 57, "Assumption",
      CellTags->"Proposition (min): min:"],
    Cell[242346, 6915, 2397, 68, 70, "Text",
      CellTags->"Proposition (min): min:"]},
  "Proposition (eps/2): e/2"->{
    Cell[27819, 763, 1385, 42, 55, "Assumption",
      CellTags->"Proposition (eps/2): e/2"],
    Cell[236494, 6747, 1307, 37, 70, "Text",
      CellTags->"Proposition (eps/2): e/2"]},
  "Proposition (eps/ab): e/ab"->{
    Cell[29207, 807, 2183, 61, 56, "Assumption",
      CellTags->"Proposition (eps/ab): e/ab"],
    Cell[237804, 6786, 2110, 57, 70, "Text",
      CellTags->"Proposition (eps/ab): e/ab"]},
  "2"->{
    Cell[31880, 886, 681, 21, 47, "Assumption",
      CellTags->"2"],
    Cell[179355, 5232, 570, 17, 70, "Text",
      CellTags->"2"]},
  "3"->{
    Cell[32564, 909, 681, 21, 47, "Assumption",
      CellTags->"3"],
    Cell[197515, 5750, 570, 17, 70, "Text",
      CellTags->"3"]},
  "1"->{
    Cell[33382, 936, 698, 21, 47, "Conclusion",
      CellTags->"1"],
    Cell[145562, 4286, 587, 17, 70, "Text",
      CellTags->"1"]},
  "4"->{
    Cell[35348, 1002, 4039, 96, 58, "Conclusion",
      CellTags->"4"],
    Cell[198088, 5769, 3892, 92, 70, "Text",
      CellTags->"4"]},
  "5"->{
    Cell[39390, 1100, 4001, 96, 58, "Assumption",
      CellTags->"5"],
    Cell[201983, 5863, 3854, 92, 70, "Text",
      CellTags->"5"]},
  "6"->{
    Cell[43394, 1198, 4001, 96, 58, "Assumption",
      CellTags->"6"],
    Cell[205840, 5957, 3854, 92, 70, "Text",
      CellTags->"6"]},
  "7"->{
    Cell[48204, 1322, 884, 25, 47, "Assumption",
      CellTags->"7"],
    Cell[209697, 6051, 701, 21, 70, "Text",
      CellTags->"7"]},
  "8"->{
    Cell[49237, 1353, 3242, 82, 58, "Conclusion",
      CellTags->"8"],
    Cell[210401, 6074, 3054, 77, 70, "Text",
      CellTags->"8"]},
  "9"->{
    Cell[53901, 1482, 3644, 90, 58, "Assumption",
      CellTags->"9"],
    Cell[213458, 6153, 3425, 86, 70, "Text",
      CellTags->"9"]},
  "10"->{
    Cell[57548, 1574, 3647, 90, 58, "Assumption",
      CellTags->"10"],
    Cell[146152, 4305, 3428, 86, 70, "Text",
      CellTags->"10"]},
  "11"->{
    Cell[61669, 1683, 1235, 33, 51, "Assumption",
      CellTags->"11"],
    Cell[128508, 3529, 1235, 33, 51, "Conclusion",
      CellTags->"11"],
    Cell[149583, 4393, 980, 29, 70, "Text",
      CellTags->"11"]},
  "12"->{
    Cell[64309, 1767, 3326, 83, 58, "Assumption",
      CellTags->"12"],
    Cell[150566, 4424, 3071, 79, 70, "Text",
      CellTags->"12"]},
  "13"->{
    Cell[67638, 1852, 3326, 83, 58, "Assumption",
      CellTags->"13"],
    Cell[153640, 4505, 3071, 79, 70, "Text",
      CellTags->"13"]},
  "16"->{
    Cell[72381, 1982, 2885, 73, 57, "Assumption",
      CellTags->"16"],
    Cell[165464, 4834, 2594, 69, 70, "Text",
      CellTags->"16"]},
  "17"->{
    Cell[75269, 2057, 2885, 73, 57, "Assumption",
      CellTags->"17"],
    Cell[171091, 4993, 2594, 69, 70, "Text",
      CellTags->"17"]},
  "15"->{
    Cell[79183, 2162, 3452, 84, 57, "Conclusion",
      CellTags->"15"],
    Cell[158869, 4653, 3089, 80, 70, "Text",
      CellTags->"15"]},
  "15.2"->{
    Cell[83115, 2265, 2968, 72, 57, "Conclusion",
      CellTags->"15.2"],
    Cell[162892, 4764, 2569, 68, 70, "Text",
      CellTags->"15.2"]},
  "19"->{
    Cell[87335, 2377, 1751, 46, 47, "Assumption",
      CellTags->"19"],
    Cell[178071, 5193, 1281, 37, 70, "Text",
      CellTags->"19"]},
  "20"->{
    Cell[89279, 2430, 1673, 42, 47, "Conclusion",
      CellTags->"20"],
    Cell[179928, 5251, 1203, 33, 70, "Text",
      CellTags->"20"]},
  "21"->{
    Cell[93155, 2540, 2331, 61, 51, "Assumption",
      CellTags->"21"],
    Cell[181134, 5286, 1820, 51, 70, "Text",
      CellTags->"21"]},
  "22"->{
    Cell[95489, 2603, 2331, 61, 51, "Assumption",
      CellTags->"22"],
    Cell[182957, 5339, 1820, 51, 70, "Text",
      CellTags->"22"]},
  "23"->{
    Cell[98341, 2684, 2207, 57, 47, "Assumption",
      CellTags->"23"],
    Cell[115929, 3168, 2207, 57, 47, "Conclusion",
      CellTags->"23"],
    Cell[184780, 5392, 1660, 47, 70, "Text",
      CellTags->"23"]},
  "24"->{
    Cell[102051, 2794, 1747, 44, 51, "Assumption",
      CellTags->"24"],
    Cell[186443, 5441, 1200, 34, 70, "Text",
      CellTags->"24"]},
  "25"->{
    Cell[103801, 2840, 1747, 44, 51, "Assumption",
      CellTags->"25"],
    Cell[187646, 5477, 1200, 34, 70, "Text",
      CellTags->"25"]},
  "26"->{
    Cell[106312, 2911, 3363, 84, 51, "Conclusion",
      CellTags->"26"],
    Cell[188849, 5513, 2780, 74, 70, "Text",
      CellTags->"26"]},
  "28"->{
    Cell[110522, 3022, 3969, 98, 81, "Conclusion",
      CellTags->"28"],
    Cell[194162, 5660, 3350, 88, 70, "Text",
      CellTags->"28"]},
  "27"->{
    Cell[118892, 3252, 3110, 79, 47, "Conclusion",
      CellTags->"27"],
    Cell[191632, 5589, 2527, 69, 70, "Text",
      CellTags->"27"]},
  "15.1"->{
    Cell[123327, 3377, 1327, 31, 47, "Conclusion",
      CellTags->"15.1"],
    Cell[161961, 4735, 928, 27, 70, "Text",
      CellTags->"15.1"]},
  "18"->{
    Cell[125409, 3435, 1820, 48, 47, "Conclusion",
      CellTags->"18"],
    Cell[176718, 5152, 1350, 39, 70, "Text",
      CellTags->"18"]},
  "14"->{
    Cell[130450, 3588, 1493, 39, 51, "Conclusion",
      CellTags->"14"],
    Cell[156714, 4586, 1202, 35, 70, "Text",
      CellTags->"14"],
    Cell[157919, 4623, 947, 28, 70, "Text",
      CellTags->"14"]},
  "AdditionalInfo"->{
    Cell[132955, 3662, 88, 1, 79, "Section",
      CellTags->"AdditionalInfo"]},
  "16.1"->{
    Cell[168061, 4905, 708, 21, 70, "Text",
      CellTags->"16.1"]},
  "16.2"->{
    Cell[168772, 4928, 2316, 63, 70, "Text",
      CellTags->"16.2"]},
  "17.1"->{
    Cell[173688, 5064, 708, 21, 70, "Text",
      CellTags->"17.1"]},
  "17.2"->{
    Cell[174399, 5087, 2316, 63, 70, "Text",
      CellTags->"17.2"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"Proposition (unif-cont of sum): c+", 246274, 7029},
  {"Definition (unif-cont): u:", 246509, 7034},
  {"Definition (sum of functions): \[CirclePlus]:", 246751, 7039},
  {"Definition (product of functions): \[CirclePlus]:", 247034, 7044},
  {"Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]", 247353, 7050},
  {"Proposition (distance of product): \[LeftBracketingBar]\[RawStar]\
\[RawStar]\[RightBracketingBar]", 247764, 7060},
  {"Proposition (max): max:", 248144, 7069},
  {"Proposition (min): min:", 248358, 7074},
  {"Proposition (eps/2): e/2", 248573, 7079},
  {"Proposition (eps/ab): e/ab", 248792, 7084},
  {"2", 248990, 7089},
  {"3", 249136, 7094},
  {"1", 249282, 7099},
  {"4", 249428, 7104},
  {"5", 249577, 7109},
  {"6", 249726, 7114},
  {"7", 249875, 7119},
  {"8", 250022, 7124},
  {"9", 250171, 7129},
  {"10", 250321, 7134},
  {"11", 250473, 7139},
  {"12", 250698, 7146},
  {"13", 250850, 7151},
  {"16", 251002, 7156},
  {"17", 251154, 7161},
  {"15", 251306, 7166},
  {"15.2", 251460, 7171},
  {"19", 251616, 7176},
  {"20", 251768, 7181},
  {"21", 251920, 7186},
  {"22", 252072, 7191},
  {"23", 252224, 7196},
  {"24", 252450, 7203},
  {"25", 252603, 7208},
  {"26", 252756, 7213},
  {"28", 252909, 7218},
  {"27", 253062, 7223},
  {"15.1", 253217, 7228},
  {"18", 253373, 7233},
  {"14", 253526, 7238},
  {"AdditionalInfo", 253758, 7245},
  {"16.1", 253851, 7248},
  {"16.2", 253933, 7251},
  {"17.1", 254016, 7254},
  {"17.2", 254098, 7257}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 113, 2, 47, "ProofText"],
Cell[1892, 57, 822, 24, 47, "Conclusion",
  CellTags->"Proposition (unif-cont of sum): c+"],

Cell[CellGroupData[{
Cell[2739, 85, 129, 2, 47, "ProofText"],
Cell[2871, 89, 5546, 124, 95, "Assumption",
  CellTags->"Definition (unif-cont): u:"],
Cell[8420, 215, 2539, 73, 57, "Assumption",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[10962, 290, 2552, 74, 57, "Assumption",
  CellTags->"Definition (product of functions): \[CirclePlus]:"],
Cell[13517, 366, 4167, 112, 57, "Assumption",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[17687, 480, 5154, 133, 93, "Assumption",
  CellTags->
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"],
Cell[22844, 615, 2499, 72, 57, "Assumption",
  CellTags->"Proposition (max): max:"],
Cell[25346, 689, 2470, 72, 57, "Assumption",
  CellTags->"Proposition (min): min:"],
Cell[27819, 763, 1385, 42, 55, "Assumption",
  CellTags->"Proposition (eps/2): e/2"],
Cell[29207, 807, 2183, 61, 56, "Assumption",
  CellTags->"Proposition (eps/ab): e/ab"]
}, Open  ]],
Cell[31405, 871, 472, 13, 47, "ProofText"],
Cell[31880, 886, 681, 21, 47, "Assumption",
  CellTags->"2"],
Cell[32564, 909, 681, 21, 47, "Assumption",
  CellTags->"3"],
Cell[33248, 932, 131, 2, 47, "ProofText"],
Cell[33382, 936, 698, 21, 47, "Conclusion",
  CellTags->"1"],
Cell[34083, 959, 1262, 41, 47, "ProofText"],
Cell[35348, 1002, 4039, 96, 58, "Conclusion",
  CellTags->"4"],
Cell[39390, 1100, 4001, 96, 58, "Assumption",
  CellTags->"5"],
Cell[43394, 1198, 4001, 96, 58, "Assumption",
  CellTags->"6"],
Cell[47398, 1296, 803, 24, 47, "ProofText"],
Cell[48204, 1322, 884, 25, 47, "Assumption",
  CellTags->"7"],
Cell[49091, 1349, 143, 2, 47, "ProofText"],
Cell[49237, 1353, 3242, 82, 58, "Conclusion",
  CellTags->"8"],
Cell[52482, 1437, 1416, 43, 51, "ProofText"],
Cell[53901, 1482, 3644, 90, 58, "Assumption",
  CellTags->"9"],
Cell[57548, 1574, 3647, 90, 58, "Assumption",
  CellTags->"10"],

Cell[CellGroupData[{
Cell[61220, 1668, 446, 13, 47, "ProofText"],
Cell[61669, 1683, 1235, 33, 51, "Assumption",
  CellTags->"11"],
Cell[62907, 1718, 442, 13, 47, "ProofText"],
Cell[63352, 1733, 954, 32, 47, "ProofText"],
Cell[64309, 1767, 3326, 83, 58, "Assumption",
  CellTags->"12"],
Cell[67638, 1852, 3326, 83, 58, "Assumption",
  CellTags->"13"],
Cell[70967, 1937, 1411, 43, 47, "ProofText"],
Cell[72381, 1982, 2885, 73, 57, "Assumption",
  CellTags->"16"],
Cell[75269, 2057, 2885, 73, 57, "Assumption",
  CellTags->"17"],
Cell[78157, 2132, 1023, 28, 47, "ProofText"],
Cell[79183, 2162, 3452, 84, 57, "Conclusion",
  CellTags->"15"],

Cell[CellGroupData[{
Cell[82660, 2250, 452, 13, 47, "ProofText"],
Cell[83115, 2265, 2968, 72, 57, "Conclusion",
  CellTags->"15.2"],
Cell[86086, 2339, 1244, 35, 47, "ProofText"],
Cell[87335, 2377, 1751, 46, 47, "Assumption",
  CellTags->"19"],
Cell[89089, 2425, 185, 2, 47, "ProofText"],
Cell[89279, 2430, 1673, 42, 47, "Conclusion",
  CellTags->"20"],
Cell[90955, 2474, 2197, 64, 47, "ProofText"],
Cell[93155, 2540, 2331, 61, 51, "Assumption",
  CellTags->"21"],
Cell[95489, 2603, 2331, 61, 51, "Assumption",
  CellTags->"22"],

Cell[CellGroupData[{
Cell[97845, 2668, 493, 14, 47, "ProofText"],
Cell[98341, 2684, 2207, 57, 47, "Assumption",
  CellTags->"23"],
Cell[100551, 2743, 491, 14, 47, "ProofText"],
Cell[101045, 2759, 1003, 33, 47, "ProofText"],
Cell[102051, 2794, 1747, 44, 51, "Assumption",
  CellTags->"24"],
Cell[103801, 2840, 1747, 44, 51, "Assumption",
  CellTags->"25"],
Cell[105551, 2886, 758, 23, 47, "ProofText"],
Cell[106312, 2911, 3363, 84, 51, "Conclusion",
  CellTags->"26"],
Cell[109678, 2997, 841, 23, 47, "ProofText"],
Cell[110522, 3022, 3969, 98, 81, "Conclusion",
  CellTags->"28"],
Cell[114494, 3122, 926, 25, 47, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[115457, 3152, 469, 14, 47, "ProofText"],
Cell[115929, 3168, 2207, 57, 47, "Conclusion",
  CellTags->"23"],
Cell[118139, 3227, 750, 23, 47, "ProofText"],
Cell[118892, 3252, 3110, 79, 47, "Conclusion",
  CellTags->"27"],
Cell[122005, 3333, 820, 23, 47, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[122874, 3362, 450, 13, 47, "ProofText"],
Cell[123327, 3377, 1327, 31, 47, "Conclusion",
  CellTags->"15.1"],
Cell[124657, 3410, 747, 22, 47, "ProofText"],
Cell[125409, 3435, 1820, 48, 47, "Conclusion",
  CellTags->"18"],
Cell[127232, 3485, 802, 23, 47, "ProofText"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[128083, 3514, 422, 13, 47, "ProofText"],
Cell[128508, 3529, 1235, 33, 51, "Conclusion",
  CellTags->"11"],
Cell[129746, 3564, 701, 22, 47, "ProofText"],
Cell[130450, 3588, 1493, 39, 51, "Conclusion",
  CellTags->"14"],
Cell[131946, 3629, 775, 22, 47, "ProofText"]
}, Open  ]],
Cell[132736, 3654, 182, 3, 36, "ProofText"]
}, Open  ]],

Cell[CellGroupData[{
Cell[132955, 3662, 88, 1, 79, "Section",
  CellTags->"AdditionalInfo"],

Cell[CellGroupData[{
Cell[133068, 3667, 36, 0, 70, "Subsection"],
Cell[133107, 3669, 51, 1, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[133195, 3675, 34, 0, 70, "Subsection"],
Cell[133232, 3677, 120, 7, 70, "Text"],
Cell[133355, 3686, 98, 4, 70, "Text"],
Cell[133456, 3692, 99, 4, 70, "Text"],
Cell[133558, 3698, 197, 9, 70, "Text"],
Cell[133758, 3709, 231, 9, 70, "Text"],
Cell[133992, 3720, 230, 9, 70, "Text"],
Cell[134225, 3731, 216, 9, 70, "Text"],
Cell[134444, 3742, 216, 9, 70, "Text"],
Cell[134663, 3753, 216, 9, 70, "Text"],
Cell[134882, 3764, 230, 9, 70, "Text"],
Cell[135115, 3775, 227, 9, 70, "Text"],
Cell[135345, 3786, 227, 9, 70, "Text"],
Cell[135575, 3797, 228, 9, 70, "Text"],
Cell[135806, 3808, 224, 9, 70, "Text"],
Cell[136033, 3819, 224, 9, 70, "Text"],
Cell[136260, 3830, 217, 9, 70, "Text"],
Cell[136480, 3841, 218, 9, 70, "Text"],
Cell[136701, 3852, 225, 9, 70, "Text"],
Cell[136929, 3863, 222, 9, 70, "Text"],
Cell[137154, 3874, 221, 9, 70, "Text"],
Cell[137378, 3885, 221, 9, 70, "Text"],
Cell[137602, 3896, 221, 9, 70, "Text"],
Cell[137826, 3907, 223, 9, 70, "Text"],
Cell[138052, 3918, 218, 9, 70, "Text"],
Cell[138273, 3929, 220, 9, 70, "Text"],
Cell[138496, 3940, 225, 9, 70, "Text"],
Cell[138724, 3951, 219, 9, 70, "Text"],
Cell[138946, 3962, 227, 9, 70, "Text"],
Cell[139176, 3973, 221, 9, 70, "Text"],
Cell[139400, 3984, 219, 9, 70, "Text"],
Cell[139622, 3995, 229, 9, 70, "Text"],
Cell[139854, 4006, 230, 9, 70, "Text"],
Cell[140087, 4017, 228, 9, 70, "Text"],
Cell[140318, 4028, 226, 9, 70, "Text"],
Cell[140547, 4039, 219, 9, 70, "Text"],
Cell[140769, 4050, 224, 9, 70, "Text"],
Cell[140996, 4061, 223, 9, 70, "Text"],
Cell[141222, 4072, 223, 9, 70, "Text"],
Cell[141448, 4083, 234, 9, 70, "Text"],
Cell[141685, 4094, 233, 9, 70, "Text"],
Cell[141921, 4105, 217, 9, 70, "Text"],
Cell[142141, 4116, 225, 9, 70, "Text"],
Cell[142369, 4127, 216, 9, 70, "Text"],
Cell[142588, 4138, 223, 9, 70, "Text"],
Cell[142814, 4149, 219, 9, 70, "Text"],
Cell[143036, 4160, 231, 9, 70, "Text"],
Cell[143270, 4171, 236, 9, 70, "Text"],
Cell[143509, 4182, 230, 9, 70, "Text"],
Cell[143742, 4193, 228, 9, 70, "Text"],
Cell[143973, 4204, 232, 9, 70, "Text"],
Cell[144208, 4215, 226, 9, 70, "Text"],
Cell[144437, 4226, 230, 9, 70, "Text"],
Cell[144670, 4237, 210, 9, 70, "Text"],
Cell[144883, 4248, 211, 9, 70, "Text"],
Cell[145097, 4259, 184, 9, 70, "Text"],
Cell[145284, 4270, 182, 9, 70, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[145503, 4284, 56, 0, 70, "Subsection"],
Cell[145562, 4286, 587, 17, 70, "Text",
  CellTags->"1"],
Cell[146152, 4305, 3428, 86, 70, "Text",
  CellTags->"10"],
Cell[149583, 4393, 980, 29, 70, "Text",
  CellTags->"11"],
Cell[150566, 4424, 3071, 79, 70, "Text",
  CellTags->"12"],
Cell[153640, 4505, 3071, 79, 70, "Text",
  CellTags->"13"],
Cell[156714, 4586, 1202, 35, 70, "Text",
  CellTags->"14"],
Cell[157919, 4623, 947, 28, 70, "Text",
  CellTags->"14"],
Cell[158869, 4653, 3089, 80, 70, "Text",
  CellTags->"15"],
Cell[161961, 4735, 928, 27, 70, "Text",
  CellTags->"15.1"],
Cell[162892, 4764, 2569, 68, 70, "Text",
  CellTags->"15.2"],
Cell[165464, 4834, 2594, 69, 70, "Text",
  CellTags->"16"],
Cell[168061, 4905, 708, 21, 70, "Text",
  CellTags->"16.1"],
Cell[168772, 4928, 2316, 63, 70, "Text",
  CellTags->"16.2"],
Cell[171091, 4993, 2594, 69, 70, "Text",
  CellTags->"17"],
Cell[173688, 5064, 708, 21, 70, "Text",
  CellTags->"17.1"],
Cell[174399, 5087, 2316, 63, 70, "Text",
  CellTags->"17.2"],
Cell[176718, 5152, 1350, 39, 70, "Text",
  CellTags->"18"],
Cell[178071, 5193, 1281, 37, 70, "Text",
  CellTags->"19"],
Cell[179355, 5232, 570, 17, 70, "Text",
  CellTags->"2"],
Cell[179928, 5251, 1203, 33, 70, "Text",
  CellTags->"20"],
Cell[181134, 5286, 1820, 51, 70, "Text",
  CellTags->"21"],
Cell[182957, 5339, 1820, 51, 70, "Text",
  CellTags->"22"],
Cell[184780, 5392, 1660, 47, 70, "Text",
  CellTags->"23"],
Cell[186443, 5441, 1200, 34, 70, "Text",
  CellTags->"24"],
Cell[187646, 5477, 1200, 34, 70, "Text",
  CellTags->"25"],
Cell[188849, 5513, 2780, 74, 70, "Text",
  CellTags->"26"],
Cell[191632, 5589, 2527, 69, 70, "Text",
  CellTags->"27"],
Cell[194162, 5660, 3350, 88, 70, "Text",
  CellTags->"28"],
Cell[197515, 5750, 570, 17, 70, "Text",
  CellTags->"3"],
Cell[198088, 5769, 3892, 92, 70, "Text",
  CellTags->"4"],
Cell[201983, 5863, 3854, 92, 70, "Text",
  CellTags->"5"],
Cell[205840, 5957, 3854, 92, 70, "Text",
  CellTags->"6"],
Cell[209697, 6051, 701, 21, 70, "Text",
  CellTags->"7"],
Cell[210401, 6074, 3054, 77, 70, "Text",
  CellTags->"8"],
Cell[213458, 6153, 3425, 86, 70, "Text",
  CellTags->"9"],
Cell[216886, 6241, 2479, 70, 70, "Text",
  CellTags->"Definition (product of functions): \[CirclePlus]:"],
Cell[219368, 6313, 2466, 69, 70, "Text",
  CellTags->"Definition (sum of functions): \[CirclePlus]:"],
Cell[221837, 6384, 5473, 120, 70, "Text",
  CellTags->"Definition (unif-cont): u:"],
Cell[227313, 6506, 5081, 129, 70, "Text",
  CellTags->
  "Proposition (distance of product): \
\[LeftBracketingBar]\[RawStar]\[RawStar]\[RightBracketingBar]"],
Cell[232397, 6637, 4094, 108, 70, "Text",
  CellTags->
  "Proposition (distance of sum): \
\[LeftBracketingBar]++\[RightBracketingBar]"],
Cell[236494, 6747, 1307, 37, 70, "Text",
  CellTags->"Proposition (eps/2): e/2"],
Cell[237804, 6786, 2110, 57, 70, "Text",
  CellTags->"Proposition (eps/ab): e/ab"],
Cell[239917, 6845, 2426, 68, 70, "Text",
  CellTags->"Proposition (max): max:"],
Cell[242346, 6915, 2397, 68, 70, "Text",
  CellTags->"Proposition (min): min:"],
Cell[244746, 6985, 749, 20, 70, "Text",
  CellTags->"Proposition (unif-cont of sum): c+"]
}, Closed]]
}, Closed]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

